<?php
    class Install_IndexController extends Application_Admin_ControllerAction
    {
        public function indexAction()
        {
            // clear the logged-in user just in case
            $auth = Zend_Auth::getInstance();
            $auth->clearIdentity();

            $this->view->report = Application_Installer::GetInstallationReport();
        }

        public function validateAction()
        {
            $report = Application_Installer::ValidateInstallFromRequest($this->getRequest());
            $this->sendJson($report);
        }

        public function installAction()
        {
            $report = Application_Installer::InstallFromRequest($this->getRequest());
            $this->sendJson($report);
        }
    }
?>