{include file='header.tpl' active='brands'}

{if !$fp->obj->saved()}
    {status}
        Branding allows you to sort your clients as required. Each brand can have its own set of
        default modules, drivers and widgets. Additionally, each branding can have its own
        Control Panel theme.
    {/status}
{/if}

<form method="post" action="{geturl target='brands::edit'}?id={$fp->obj->getId()}">
    <table class="user-form">
        <tr>
            <td class="label">Brand Name<span class="required">*</span>:</td>
            <td>
                {if $fp->hasError('brand_name')}<div class="error">{/if}
                <input type="text" name="brand_name" value="{$fp->brand_name|escape}" class="content-user-input" />
                {if $fp->hasError('brand_name')}<div class="error-msg">{$fp->getError('brand_name')|escape}</div></div>{/if}
            </td>
        </tr>
        <tr>
            <td class="label">Control Panel Theme<span class="required">*</span>:</td>
            <td>
                {if $fp->hasError('theme')}<div class="error">{/if}
                <select name="theme">
                    <option value=""></option>
                    {html_options options=$fp->themes selected=$fp->theme}
                </select>
                {if $fp->hasError('theme')}<div class="error-msg">{$fp->getError('theme')|escape}</div></div>{/if}
            </td>
        </tr>
        {if !$fp->obj->saved()}
            <tr>
                <td class="label">Web Server Config:</td>
                <td>
                    <label>
                        <input type="checkbox" name="autoconfig" value="1"{if $fp->autoconfig} checked="checked"{/if} />
                        Include brand in automatic web server configuration
                    </label>
                </td>
            </tr>
        {/if}
    </table>

    {status class='submit'}
        <input type="submit" value="Save Brand" class="submit" name="submit" />
        <input type="submit" name="cancel" value="Cancel" />
    {/status}
</form>

{include file='lib/form/required.tpl'}

{include file='footer.tpl'}
