{include file='header.tpl' active='brands'}

<ul>
    <li><a href="{geturl target='brands::edit'}">Create New Brand</a></li>
</ul>

<table class="data full">
    <tr>
        <th></th>
        <th class="title">Brand Name</th>
        <th class="title">Control Panel</th>
        <th>Action</th>
    </tr>
    {foreach from=$brands item=row key=id}
        <tr class="{cycle values='row,row-alt'}">
            <td>{counter}.</td>
            <td><a href="{geturl target='brands::view'}?id={$id}">{$row->brand_name}</a></td>
            <td>
                {assign var=domain value=$row->getPrimaryDomain()}
                {if $domain|strlen > 0}
                    <a href="{$domain|escape}" target="_blank">{$domain|escape}</a>
                {else}
                    -
                {/if}
            </td>
            <td class="value">
                <a href="{geturl target='brands:index:view'}?id={$id}">View</a> |
                <a href="{geturl target='brands:index:settings'}?id={$id}">Settings</a>
            </td>
        </tr>
    {foreachelse}
        <tr class="options">
            <td colspan="4" class="value">
                <em>No brands found</em>
            </td>
        </tr>
    {/foreach}
</table>

{include file='footer.tpl'}
