{include file='header.tpl' active='clients'}

<ul>
    <li><a href="{geturl target='clients::edit'}">Create New Client</a></li>
    <li><a href="{geturl target='clients:licenses:index'}">Manage Licenses</a></li>
</ul>

<form method="get" action="{geturl controller='clients'}">
    <div class="renderer-options">
        Brand:
        <select name="brand_id">
            <option value="0"></option>
            {html_options options=$dr->getValues('brand_id') selected=$dr->getSetting('brand_id')}
        </select>

        &nbsp;&nbsp;

        Limit:
        <select name="limit">
            {html_options options=$dr->getValues('limit') selected=$dr->getSetting('limit')}
        </select>

        &nbsp;&nbsp;

        Order By:
        <select name="order">
            {html_options options=$dr->getValues('order') selected=$dr->getSetting('order')}
        </select>
        <input type="submit" value="Update" />
    </div>
</form>

{capture assign='pagerUrl'}{geturl controller='clients'}?page=%s&{$dr->getPagerQueryString()}{/capture}
{include file='lib/pager.tpl' url=$pagerUrl pager=$dr->pager}

<table class="data full">
    <tr class="header">
        <th>Client ID</th>
        <th>Status</th>
        <th class="title">Client Name</th>
        <th class="title">Domain</th>
        <th class="title">Created</th>
        <th>Action</th>
    </tr>
    {foreach from=$dr->data item=row key=id}
        <tr class="{cycle values='row,row-alt'}">
            <td class="value">{$id}</td>
            <td class="value status-{$row->status|default:'A'}">{$row->getStatusLabel()|escape}</td>
            <td><a href="{geturl target='clients:index:view'}?id={$id}">{$row->client_name}</a></td>
            <td>
                {assign var=domain value=$row->getPrimaryDomain()}
                {if $domain|strlen > 0}
                    <a href="{$domain|escape}" target="_blank">{$domain|escape}</a>
                {else}
                    -
                {/if}
            </td>
            <td>{$row->ts_created|date_format:'%b %e, %Y'|default:'-'}</td>
            <td class="value">
                {assign var=domain value=$row->getControlPanelDomain()}
                <a href="{geturl target='clients:index:view'}?id={$id}">View</a> |
                <a href="{geturl target='clients:index:settings'}?id={$id}">Settings</a> |
                <a href="{geturl target='users:permissions:manage'}?client_id={$id}">Permissions</a> |
                <a href="{$domain|escape}" target="_blank">CP...</a>
            </td>
        </tr>
    {foreachelse}
        <tr class="options">
            <td class="value" colspan="6">
                <em>No clients were found</em>
            </td>
        </tr>
    {/foreach}
</table>

{include file='lib/pager.tpl' url=$pagerUrl pager=$dr->pager}

{include file='footer.tpl'}
