{include file='header.tpl' active='clients'}

{if $supported}
    <ul>
        <li><a href="{geturl target='clients:licenses:load'}">Load license...</a></li>
    </ul>

    <table class="data full">
        <tr class="header">
            <th class="title">Domain</th>
            <th class="title">Name</th>
            <th class="title">Product</th>
            <th class="title">License Type</th>
            <th class="title">Expiry</th>
            <th>Action</th>
        </tr>
        {foreach from=$licenses item=license}
            <tr class="{cycle values='row,row-alt'}">
                <td>{$license.domain|escape}</td>
                <td>{$license.name|escape}</td>
                <td>{$license.producttitle|escape}</td>
                <td>{$license.type|escape}</td>
                <td>
                    {if $license.expiry > 0}
                        {$license.expiry|date_format:'%b %e, %Y'}
                    {else}
                        Never
                    {/if}
                </td>
                <td class="value">
                    <a href="{geturl target='clients:licenses:view'}?license={$license.filename|escape}">View</a> |
                    <a href="{geturl target='clients:licenses:delete'}?license={$license.filename|escape}">Delete</a>
                </td>
            </tr>
        {foreachelse}
            <tr class="options">
                <td class="value" colspan="7">
                    <em>No licenses were found</em>
                </td>
            </tr>
        {/foreach}
    </table>
{else}
    {status}
        Licensing is not supported in this {$APPLICATION_NAME|escape} installation.
    {/status}
{/if}

{include file='footer.tpl'}
