{include file='header.tpl' active='system'}

{if $error|strlen > 0}
    {status class='no'}
        Error retrieving system report:
        <ul>
            <li>{$error|escape}</li>
        </ul>
    {/status}
{/if}

<h2>Maintenance Mode</h2>

<p>
    Disable access to Control Panel and client sites for system upgrades.
</p>

{include file='system/index/lib/maintenance-mode.tpl'}

<h2><a href="{geturl target='upgrade:index:index'}">Package Management</a></h2>

<p>
    Upgrade your Recite installation and install and upgrade add-on packages.
</p>

<h2><a href="{geturl target='backup:index:index'}">Backup Manager</a></h2>

<p>
    Export and import client sites.
</p>

<h2><a href="{geturl target='system:maintenance:index'}">Maintenance Queue</a></h2>

<p>
    Manage maintenance tasks.

<h2><a href="{geturl target='system:webserver:config'}">Web Server Configuration</a></h2>

<p>
    Manage automatic generation of web server configurations.
</p>

<h2><a href="{geturl target='system:index:status'}">System Status</a></h2>

<p>
    Inspect the current status of your installation and fix any issues that may have arisen.
</p>

<h2><a href="{geturl target='system:database:index'}">Database Management</a></h2>

<p>
    Inspect and resolve any database issues.
</p>

<h2><a href="{geturl target='system:cache:index'}">Cache Management</a></h2>

<p>
    Manage the data cache.
</p>

{include file='footer.tpl'}
