{include file='header.tpl' active='reports'}

{status}
    This report shows you the amount disk space used for each client
    for their uploaded files. Typically the amount of the data associated
    with other modules is inconsequential compared to their uploaded files.
{/status}

{if !$report|@is_array}
    {status class='no'}
        This report requires the Assets package to be installed.
    {/status}
{else}
    <table class="data full" id="assets-report">
        <tr>
            <th>Client</th>
            <th>Files</th>
            <th colspan="2">Total Size</th>
        </tr>
        {foreach from=$report.clients item=row key=id}
            <tr>
                <td><a href="{geturl target=clients:index:view'}?id={$id}">{$row.client|escape}</a></td>
                <td class="value">{$row.files|escape}</td>
                <td class="graph">
                    <div style="width: {$row.pct|escape}%"></div>
                </td>
                <td class="filesize">
                    {$row.size|filesize_format:'%01.2lf %s'|escape}
                </td>
            </tr>
        {/foreach}
        <tr>
            <td class="total">Total</td>
            <td class="total value">{$report.files|escape}</td>
            <td class="total"></td>
            <td class="total filesize">{$report.size|filesize_format:'%01.2lf %s'}</td>
        </tr>
    </table>
{/if}

{include file='footer.tpl'}
