{include file='header.tpl' active='users'}

<ul>
    {if $dr->getSetting('client') > 0}
        <li><a href="{geturl target='users:index:edit'}?client={$dr->getSetting('client')}">Add new user</a></li>
    {else}
        <li><a href="{geturl target='users:index:edit'}">Add new user</a></li>
    {/if}
</ul>

<form method="get" action="{geturl target='users:index:index'}">
    <div class="renderer-options">
        Client:

        <select name="client">
            {html_options options=$dr->getValues('client') selected=$dr->getSetting('client')}
        </select>

        &nbsp;&nbsp;

        Limit:
        <select name="limit">
            {html_options options=$dr->getValues('limit') selected=$dr->getSetting('limit')}
        </select>

        &nbsp;&nbsp;

        Order By:
        <select name="order">
            {html_options options=$dr->getValues('order') selected=$dr->getSetting('order')}
        </select>
        <input type="submit" value="Update" />
    </div>
</form>

{include file='lib/pager.tpl' pager=$dr->pager}

<table class="data full">
    <tr class="header">
        <th>User ID</th>
        <th class="title">Username</th>
        <th class="title">Name</th>
        <th class="title">Created</th>
        <th>Action</th>
    </tr>
    {counter name="users" start=$dr->pager->offset print=false}
    {foreach from=$dr->data item=row key=id}
        <tr class="{cycle values='row,row-alt'}">
            <td class="value">{$id}</td>
            <td><a href="{geturl target='users:index:view'}?id={$id}">{$row->username}</a></td>
            <td>{$row->getFullName()|escape|default:'-'}</td>
            <td>{$row->ts_created|date_format:'%b %e, %Y @ %H:%M'|default:'-'}</td>
            <td class="value">
                <a href="{geturl target='users::view'}?id={$id}">View</a> |
                <a href="{geturl target='users::edit'}?id={$id}">Edit</a> |
                <a href="{geturl target='users::delete'}?id={$id}">Delete</a>
            </td>
        </tr>
    {foreachelse}
        <tr class="options">
            <td class="value" colspan="5">
                <em>No users were found</em>
            </td>
        </tr>
    {/foreach}
</table>

{include file='lib/pager.tpl' pager=$dr->pager}

{include file='footer.tpl'}
