{dialog}
    <form method="post" action="{geturl target='default:account:index'}">
        {if $fp->canEditClient}
            {field title='Client Name' help='This value is used to identify the web site in the Control Panel' required=true error='client_name'}
                {profile_input type='string' name='client_name' value=$fp->client_name}
            {/field}
        {/if}

        {field title='Username' help='If you need to change your username please contact your administrator'}
            {$fp->username|escape}
        {/field}

        {field title='Password' error='password' help='To set a new password enter it here. If this field is left blank your existing password will remain.'}
            {profile_input type='string' name='password' value=$fp->password}
             {if $fp->obj->saved()}
                <div class="description">
                    Leave blank to retain existing password
                </div>
            {/if}
        {/field}

        {field title='First Name' error='first_name' required=true help='Enter your first name'}
            {profile_input type='string' name='first_name' value=$fp->first_name}
        {/field}

        {field title='Last Name' error='last_name' required=true help='Enter your last name'}
            {profile_input type='string' name='last_name' value=$fp->last_name}
        {/field}

        {field title='Email Address' error='email' required=true help='Enter your email address'}
            {profile_input type='string' name='email' value=$fp->email}
        {/field}
    </form>
{/dialog}