{if $fp->bundle->getTemplate()|strlen == 0 && $fp->bundle->getNumSettings() == 0}
    {highlight_message}
        There are no configurable settings in this bundle
    {/highlight_message}
{/if}

{if $fp->bundle->getNumSettings() > 0}
    <form method="post" action="{geturl target='default:settings:save-settings'}">
        <div>
            <input type="hidden" name="bundle" value="{$fp->bundle->getName()|escape}" />
            <h1>{$fp->bundle|escape}</h1>

            <div class="form-error-global"></div>

            {foreach from=$fp->bundle->getSections() item=section key=k}
                <fieldset class="ui-corner-all">
                    <legend>{$section|escape}</legend>

                    {foreach from=$fp->fieldLists.$k item=field name='fieldlist'}
                        {assign var=name value=$field->getName()}
                        {field title=$field->getTitle() error=$name required=$field->getRequired() help=$field->getHelp()}
                            {profile_input field=$field name=$name value=$fp->get($name)}

                            {if $fp->custom}
                                <input type="hidden" name="setting_id" value="{$field->getParam('setting_id')|escape}" />

                                {button class='custom-edit'}Edit{/button}
                                {button class='custom-delete'}Delete{/button}
                            {/if}
                        {/field}
                    {/foreach}
                </fieldset>
            {/foreach}
        </div>
    </form>
{/if}

{if $fp->bundle->getTemplate()|strlen > 0}
    {include file='default/settings/%s'|sprintf:$fp->bundle->getTemplate()}
{/if}
