{if $uploader && $fp->getNumRows() == 0}
    {if $fp->getNumRows() == 0}
        {form action=$url submit='Upload Data File' enctype='multipart/form-data' cancel=false}
            {field title='Data File' first=true required=true error=file}
                <input type="file" name="file" />
            {/field}

            {field title='File Type' required=true error=type}
                <select name="type">
                    {html_options options=$fp->getFileFormats()}
                </select>
            {/field}

            {include file='lib/form/fieldlist.tpl' fieldlist=$fp->getUploadFields() last=true}
        {/form}
    {/if}
{/if}

{if !$uploader || ($uploader && $fp->getNumRows() > 0)}
    {assign var=loop value=$fp->getNumRows()}
    {if $loop == 0}
        {assign var=loop value=5}
    {/if}

    {if $fp->hasError('_confirm')}
        <div class="error">
            <div class="error-msg">
                {$fp->getError('_confirm')|escape}
            </div>
        </div>
    {/if}

    {math equation='x + y' x=2 y=$fp->getNumFields() assign=cols}
    {form action=$url submit='Save Data' cancel=false}
        <input type="hidden" name="rows" value="{$loop|escape}" />
        <table class="data full bulk">
            <tr class="header">
                <th{if $fp->unmatchedHeadings->size() > 0} rowspan="2"{/if}></th>
                {foreach from=$fp->getFieldLists() item=fieldList}
                    {foreach from=$fieldList item=field}
                        <th{if $fp->unmatchedHeadings->size() > 0} rowspan="2"{/if}>
                            {$field|escape}{if $field->getRequired()}<span class="required">*</span>{/if}
                        </th>
                    {/foreach}
                {/foreach}

                {foreach from=$fp->unmatchedHeadings item=field}
                    <th>
                        {profile_input field=$field}
                    </th>
                {/foreach}
                <th{if $fp->unmatchedHeadings->size() > 0} rowspan="2"{/if}>Skip</th>
            </tr>
            {if $fp->unmatchedHeadings->size() > 0}
                <tr>
                    {foreach from=$fp->unmatchedHeadings item=field}
                        <th>
                            {$field->getTitle()|escape}
                        </th>
                    {/foreach}
                </tr>
            {/if}
            {section loop=$loop name=i}
                {assign var='idx' value=$smarty.section.i.index}
                {assign var=errors value=$fp->getRowError($idx)}
                {assign var=data value=$fp->getRowData($idx)}
                {assign var=unmatchedData value=$fp->getUnmatchedRowData($idx)}

                {if !is_array($errors)}
                    {php}
                        $this->assign('errors', array($this->get_template_vars('errors')));
                    {/php}
                {/if}
                {assign var=errors value=$errors|@array_filter}

                <tr>
                    <td>{counter}.</td>
                    {counter name=col start=-1 print=false}
                    {foreach from=$data item=field}
                        <td class="value">
                            {form_error error=$field->getErrors() header=true}
                            {profile_input name=$field->getName() field=$field bulk=true}
                            {form_error error=$field->getErrors() footer=true}
                        </td>
                    {/foreach}
                    {foreach from=$unmatchedData item=value key=name}
                        <td class="value">
                            <input type="text" name="{$name|escape}" value="{$value|escape}" />
                        </td>
                    {/foreach}
                    <td class="value"><input type="checkbox" name="skip_{$idx}" value="1" /></td>
                </tr>

                {assign var=_key value='row_%d'|sprintf:$idx}
                {if $fp->hasError($_key)}
                    <tr>
                        <td colspan="{$cols}">
                            {form_error error=$fp->getError($_key) header=true footer=true}
                        </td>
                    </tr>
                {/if}
            {/section}
        </table>

        {if $fp->extraFields->size() > 0}
            <table class="user-form">
                {include file='lib/form/fieldlist.tpl' fieldlist=$fp->extraFields}
            </table>
        {/if}
    {/form}
{/if}

