{loadcss file='css/custom-field-manager.css'|pathfinder javascript=true}

<div class="cfm" id="_cfm_{$params.name|escape}">
    <div class="_cfm_field_types">
        <select name="_cfm_field_type">
            <option value="">Add new field...</option>
            {foreach from=$types item=row key=key}
                {assign var=_fields value=$row->getOptions()}
                <option value="{$key|escape}"{if $_fields->size() > 0} class="complex"{/if}>{$row|escape}</option>
            {/foreach}
        </select>
    </div>
    <ul class="_cfm_fields" id="_cfm_{$params.name|escape}_sortable" style="display:none">
        <li>
            {include file='lib/custom-field-manager/template.tpl' options=null name=$params.name values=null showProtectedOption=$params.showProtectedOption}
        </li>
    </ul>
</div>

<script type="text/javascript">
    Application.loadJs('{pathfinder file='js/classes/CustomFieldManager.class.js'}', function() {ldelim}
        var cfm_{$params.name|escape} = new CustomFieldManager('_cfm_{$params.name|escape}', '{$params.name}', {if $params.showProtectedOption}true{else}false{/if});

        {foreach from=$fields item=field}
            {assign var=type value=$field->getType()}
            cfm_{$params.name|escape}.addField('{$type->getType()|escape:'javascript'}', '{$field->getTitle()|escape:'javascript'}', {if $field->getRequired()}true{else}false{/if}, {$field->getParamsAsJson()});
        {/foreach}
    {rdelim});
</script>
