{if !$block.open}
    {if $block.close}
        </table>
    {else}
        {if $block.first}
            <table class="user-form">
        {/if}

        <tr>
            <td class="label">
                {$block.title|escape}{if $block.required}<span class="required">*</span>{/if}:
                {if $block.subtitle|strlen > 0}
                    <div class="inline-options">{$block.subtitle|escape}</div>
                {/if}
            </td>
            <td>
                {if isset($fp)}
                    {form_error error=$fp->getError($block.error) header=true}
                {/if}

                {$block.content}

                {if isset($fp)}
                    {form_error error=$fp->getError($block.error) footer=true}
                {/if}
            </td>
            <td>
                {if $block.helpText|strlen > 0}
                    {cp_help content=$block.helpText title=$block.title}
                {elseif $block.help|strlen > 0}
                    {cp_help key=$block.help title=$block.title}
                {/if}
            </td>
        </tr>

        {if $block.last}
            </table>
        {/if}
    {/if}
{/if}
