{capture assign=summary}
    {if $pager->total > 0}
        <div class="pager-summary">
            Results {$pager->start}-{$pager->finish} of {$pager->total}
            &mdash;
            Page {$pager->page} of {$pager->pages}
        </div>
    {else}
        <div class="pager-summary">
            No results found
        </div>
    {/if}
{/capture}

{if $header}
    {$summary}
{/if}

<form method="get" action="{$url|escape}">
    <div class="pager">
        {foreach from=$options key=k item=v}
            <input type="hidden" name="{$k|escape}" value="{$v|escape}" />
        {/foreach}

        {if $pager->page == 1}
            Prev {$pager->limit}
        {else}
            {math assign=_page equation='x - y' x=$pager->page y=1}
            <a href="{$url|escape}?{$pager->getUrl()|sprintf:$_page|escape}">Prev {$pager->limit}</a>
        {/if}

        &nbsp;&nbsp;&nbsp;

        <input type="text" name="page" value="{$pager->page}" class="profile-int" />

        &nbsp;&nbsp;&nbsp;

        {if $pager->page == $pager->pages}
            Next {$pager->limit}
        {else}
            {math assign=_page equation='x + y' x=$pager->page y=1}
            <a href="{$url|escape}?{$pager->getUrl()|sprintf:$_page|escape}">Next {$pager->limit}</a>
        {/if}
    </div>
</form>

{if !$header}
    {$summary}
{/if}
