<table class="report">
    <tr>
        <th class="title">{$report|escape}</th>
        {foreach from=$report->getHeadings() item=title}
            <th>{$title|escape}</th>
        {/foreach}
    </tr>
    {foreach from=$report item=row}
        <tr class="row">
            <td>{$row|escape}</td>
            {foreach from=$row item=value}
                {if $value instanceof DatabaseObject_User}
                    <td>
                        <a href="{geturl target='users:index:index'}?user={$value->getId()}" target="_top" class="nofs">{$value|escape}</a>
                    </td>
                {elseif $value instanceof Module_Assets_Asset}
                    <td>
                        <a href="{geturl target='assets:assets:view'}?id={$value->getId()}" target="_top" class="nofs">{$value|escape}</a>
                    </td>
                {else}
                    <td class="value">{$value|trim|default:'-'|escape}</td>
                {/if}
            {/foreach}
        </tr>
    {/foreach}
    {if $report->getTotals()|@count > 0}
        <tr class="totals">
            <td>Total</td>
            {foreach from=$report->getTotals() item=row}
                <td class="value">{$row|escape}</td>
            {/foreach}
        </tr>
    {/if}
</table>

<script type="text/javascript">
    Application.loadCss('{'/css/reports.css'|pathfinder}');
    new DataHighlighter($$('.report')[0]);
</script>
