{if $block.open}
    <div class="form-field">
        <table>
            <tr>
                {if $block.title|strlen > 0 && !$block.hideTitle}
                    <td class="label{if $block.error|strlen > 0} form-error-label form-error-label-{$block.error|escape}{/if}">
                        {if $block.titleEscaped}{$block.title}{else}{$block.title|escape}{/if}{if $block.required}<span class="required">*</span>{/if}:
                        {if $block.subtitle|strlen > 0}
                            <div class="inline-options">{$block.subtitle|escape}</div>
                        {/if}
                    </td>
                {/if}
                <td class="content"{if $block.title|strlen == 0} colspan="2"{/if}>
{else}
                    {$block.content}
                    {if $block.error|strlen > 0}
                        <div class="form-error form-error-{$block.error|escape}"></div>
                    {/if}
                </td>
                <td class="form-field-help">
                    {if $block.help|strlen > 0}
                        {inline_help title=$block.title}{$block.help}{/inline_help}
                    {/if}
                </td>
            </tr>
        </table>
    </div>
{/if}
