<?php
    class Application_CommandLine_Maintenance
    {
        private function __construct()
        { }

        public static function SendMaintenanceMessage()
        {
            echo sprintf("%s is currently down for maintenance\n", Application::NAME);
            exit(1);
        }

        public static function SendStartupErrorMessage(Exception $ex)
        {
            echo sprintf("Error starting up %s: %s\n", Application::NAME, $ex->getMessage());
            exit(2);
        }
    }
?>
