<?php
    class Application_Cp_Site_Router extends Zend_Controller_Router_Rewrite
    {
        public function __construct()
        {
            $route = new Zend_Controller_Router_Route(
                'driver/:driver/:subaction',
                array(
                    'module'     => 'default',
                    'controller' => 'driver',
                    'driver'     => null,
                    'action'     => 'index'
                )
            );

            $this->addRoute('archive', $route);

            $route = new Zend_Controller_Router_Route(
                '/__/:module/:controller/:action/*',
                array(
                    'module'     => 'default',
                    'controller' => 'index',
                    'action'     => 'index'
                )
            );

            $this->addRoute('backend', $route);
        }

        public function route(Zend_Controller_Request_Abstract $request)
        {
            parent::route($request);
        }
    }
?>