<?php
    class Application_Cp_Site_Startup extends Zend_Controller_Plugin_Abstract
    {
        public function __construct()
        {

        }

        public function preDispatch(Zend_Controller_Request_Abstract $request)
        {
            try {
                $client = Application::GetClient();
                $tz = $client->getSetting('system.site.timezone');

                if (strlen($tz) > 0) {
                    @date_default_timezone_set($tz);
                }
            }
            catch (Exception $ex) {
            }

            try {
                $client = Application::GetClient();
                $locale = $client->getSetting('system.site.locale');

                if (strlen($locale) > 0) {
                    Application::SetLocale($locale);
                }
            }
            catch (Exception $ex) {
            }
        }
    }
?>