<?php
    class Application_Cp_Theme_Default extends Application_Cp_Theme_Abstract
    {
        const NAME = '__default';

        public function __toString()
        {
            return sprintf('%s Default', Application::NAME);
        }

        public function getName()
        {
            if (get_class($this) == __CLASS__) {
                return self::NAME;
            }

            return parent::getName();
        }

        public function getGlobalTheme()
        {
            $ret = new Application_Cp_Theme_Section_Global();

            return $ret;
        }

        public function getHeaderTheme()
        {
            $ret = new Application_Cp_Theme_Section_Header();

            return $ret;
        }

        public function getWidgetTheme()
        {
            $ret = new Application_Cp_Theme_Section_Widget();

            return $ret;
        }

        public function getDialogTheme()
        {
            $ret = new Application_Cp_Theme_Section_Dialog();

            return $ret;
        }
    }
?>
