<?php
    class Application_Driver_Standalone_Manager
    {
        private function __construct()
        { }

        public static function GetDrivers(Application_Client $client = null)
        {
            return Application_Driver_Manager::GetDriversByType('standalone', $client);
        }

        public static function Factory($driver)
        {
            if ($driver instanceof Module_Search_Driver_Interface) {
                return $driver;
            }

            return Application_Driver_Manager::Factory('Driver_standalone_' . $driver . '_driver', true);
        }
    }
?>