<?php
    class Application_Event
    {
        protected $_responds = false;
        protected $_name;
        protected $_data;
        protected $_verbose = false;

        public function __construct($name)
        {
            $this->_name = $name;
        }

        public function responds($flag = true)
        {
            $this->_responds = (bool) $flag;
            return $this;
        }

        public function getResponds()
        {
            return $this->_responds;
        }

        public function getName()
        {
            return $this->_name;
        }

        public function set($k, $v)
        {
            $this->_data[$k] = $v;
            return $this;
        }

        public function get($k, $default = null)
        {
            if (!array_key_exists($k, $this->_data)) {
                return $default;
            }

            return $this->_data[$k];
        }

        public function verbose($flag = true)
        {
            $this->_verbose = (bool) $flag;
            return $this;
        }

        public function isVerbose()
        {
            return $this->_verbose;
        }

        public function trigger()
        {
            return Application_Event_Manager::Trigger($this);
        }
    }
?>