<?php
    /**
     * This class is used to hold the response from an event
     *
     * @package Application_Event
     * @author  Quentin Zervaas
     * @since   Recite 2.0.0
     */
    class Application_Event_Response
    {
        protected $_data = array();

        public function __construct()
        {
        }

        public function set($k, $v)
        {
            $this->_data[$k] = $v;
            return $this;
        }

        public function get($k, $default = null)
        {
            if (array_key_exists($k, $this->_data)) {
                return $this->_data[$k];
            }

            return $default;
        }

        public function getData()
        {
            return $this->_data;
        }
    }
?>