<?php
    class Application_Installer_Database_Schema_ApplicationContentLocks extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'application_content_locks';
        }

        protected function init()
        {
            $this->field('owner', Db_Schema_Table_Field::TYPE_VARCHAR, 255, false);
            $this->field('client_id', Db_Schema_Table_Field::TYPE_FK);
            $this->field('type', Db_Schema_Table_Field::TYPE_VARCHAR, 255, false);
            $this->field('depth', Db_Schema_Table_Field::TYPE_INT);
            $this->field('scope', Db_Schema_Table_Field::TYPE_INT, null, false);
            $this->field('token', Db_Schema_Table_Field::TYPE_VARCHAR, 255, false);
            $this->field('path', Db_Schema_Table_Field::TYPE_VARCHAR, 255, false);
            $this->field('ts_created', Db_Schema_Table_Field::TYPE_TIMESTAMPTZ, null, false);
            $this->field('ts_expired', Db_Schema_Table_Field::TYPE_TIMESTAMPTZ, null, false);

            $this->fk('client_id', 'Application_Installer_Database_Schema_Clients', 'client_id');
            $this->index('owner');
            $this->index('token');
            $this->index('path');
        }
    }
?>