<?php
    class Application_Installer_Database_Schema_ApplicationMaintenance extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'application_maintenance';
        }

        protected function init()
        {
            $this->field('update_id', Db_Schema_Table_Field::TYPE_SERIAL, null, false);
            $this->field('client_id', Db_Schema_Table_Field::TYPE_FK);
            $this->field('action_name', Db_Schema_Table_Field::TYPE_TEXT, null);
            $this->field('params', Db_Schema_Table_Field::TYPE_TEXT);

            $this->field('ts_created', Db_Schema_Table_Field::TYPE_TIMESTAMPTZ, null, false);
            $this->field('ts_running', Db_Schema_Table_Field::TYPE_TIMESTAMPTZ);

            $this->pk('update_id');
            $this->fk('client_id', 'Application_Installer_Database_Schema_Clients', 'client_id');
        }
    }
?>