<?php
    class Application_Installer_Database_Schema_ApplicationPackages extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'application_packages';
        }

        protected function init()
        {
            $this->field('entry_id', Db_Schema_Table_Field::TYPE_SERIAL, null, false);
            $this->field('channel', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('name', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('version', Db_Schema_Table_Field::TYPE_VARCHAR, 255, null, false);
            $this->field('data', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('ts_created', Db_Schema_Table_Field::TYPE_TIMESTAMPTZ, null, false);

            $this->pk('entry_id');
        }
    }
?>