<?php
    class Application_Installer_Database_Schema_ApplicationPatchLog extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'application_patch_log';
        }

        protected function init()
        {
            $this->field('entry_id', Db_Schema_Table_Field::TYPE_SERIAL, null, false);
            $this->field('version_from', Db_Schema_Table_Field::TYPE_VARCHAR, 255, null, false);
            $this->field('version_to', Db_Schema_Table_Field::TYPE_VARCHAR, 255, null, false);
            $this->field('version_script', Db_Schema_Table_Field::TYPE_VARCHAR, 255, null, false);
            $this->field('module', Db_Schema_Table_Field::TYPE_TEXT, null);
            $this->field('script', Db_Schema_Table_Field::TYPE_VARCHAR, 255, null, false);
            $this->field('description', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('ts_created', Db_Schema_Table_Field::TYPE_TIMESTAMPTZ, null, false);

            $this->pk('entry_id');
        }
    }
?>