<?php
    class Application_Installer_Database_Schema_BrandsCpTabs extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'brands_cp_tabs';
        }

        protected function init()
        {
            $this->field('tab_id', Db_Schema_Table_Field::TYPE_SERIAL, null, false);
            $this->field('brand_id', Db_Schema_Table_Field::TYPE_INT, null, false);
            $this->field('data', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('ranking', Db_Schema_Table_Field::TYPE_INT);

            $this->pk('tab_id');
            $this->fk('brand_id', 'Application_Installer_Database_Schema_Brands', 'brand_id');
        }
    }
?>