<?php
    class Application_Installer_Database_Schema_BrandsDomains extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'brands_domains';
        }

        protected function init()
        {
            $this->field('domain_id', Db_Schema_Table_Field::TYPE_SERIAL, null, false);
            $this->field('brand_id', Db_Schema_Table_Field::TYPE_FK, null, false);
            $this->field('url', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('ranking', Db_Schema_Table_Field::TYPE_INT);

            $this->pk('domain_id');
            $this->fk('brand_id', 'Application_Installer_Database_Schema_Brands', 'brand_id');
        }
    }
?>