<?php
    class Application_Installer_Database_Schema_BrandsDrivers extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'brands_drivers';
        }

        protected function init()
        {
            $this->field('brand_id', Db_Schema_Table_Field::TYPE_FK, null, false);
            $this->field('driver_name', Db_Schema_Table_Field::TYPE_TEXT, null, false);

            $this->pk('brand_id', 'driver_name');
            $this->fk('brand_id', 'Application_Installer_Database_Schema_Brands', 'brand_id');
        }
    }
?>