<?php
    class Application_Installer_Database_Schema_Clients extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'clients';
        }

        protected function init()
        {
            $this->field('client_id', Db_Schema_Table_Field::TYPE_SERIAL, null, false);
            $this->field('brand_id', Db_Schema_Table_Field::TYPE_FK);
            $this->field('client_name', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('ts_created', Db_Schema_Table_Field::TYPE_TIMESTAMPTZ, null, false);
            $this->field('status', Db_Schema_Table_Field::TYPE_VARCHAR, 10);

            $this->pk('client_id');
            $this->fk('brand_id', 'Application_Installer_Database_Schema_Brands', 'brand_id');
        }
    }
?>