<?php
    class Application_Installer_Database_Schema_UsersCpTabsWidgets extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'users_cp_tabs_widgets';
        }

        protected function init()
        {
            $this->field('widget_id', Db_Schema_Table_Field::TYPE_SERIAL, null, false);
            $this->field('user_id', Db_Schema_Table_Field::TYPE_INT, null, false);
            $this->field('client_id', Db_Schema_Table_Field::TYPE_INT, null, false);
            $this->field('tab_id', Db_Schema_Table_Field::TYPE_INT, null, false);
            $this->field('driver', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('col', Db_Schema_Table_Field::TYPE_INT);
            $this->field('ranking', Db_Schema_Table_Field::TYPE_INT);

            $this->pk('widget_id');
            $this->fk('user_id', 'Application_Installer_Database_Schema_Users', 'user_id');
            $this->fk('client_id', 'Application_Installer_Database_Schema_Clients', 'client_id');
            $this->fk('tab_id', 'Application_Installer_Database_Schema_UsersCpTabs', 'tab_id');
        }
    }
?>