<?php
    class Application_Installer_Database_Schema_UsersDirectoriesFields extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'users_directories_fields';
        }

        protected function init()
        {
            $this->field('directory_id', Db_Schema_Table_Field::TYPE_FK, null, false);
            $this->field('title', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('name', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('type', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('params', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('ranking', Db_Schema_Table_Field::TYPE_INT);

            $this->pk('directory_id', 'name');
            $this->fk('directory_id', 'Application_Installer_Database_Schema_UsersDirectories', 'directory_id');
        }
    }
?>