<?php
    class Application_Installer_Database_Schema_UsersDirectoriesProfile extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'users_directories_profile';
        }

        protected function init()
        {
            $this->field('directory_id', Db_Schema_Table_Field::TYPE_FK, null, false);
            $this->field('profile_key', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('profile_value', Db_Schema_Table_Field::TYPE_TEXT, null, false);

            $this->pk('directory_id', 'profile_key');
            $this->fk('directory_id', 'Application_Installer_Database_Schema_UsersDirectories', 'directory_id');
        }
    }
?>