<?php
    class Application_Installer_Database_Schema_UsersLinks extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'users_users_links';
        }

        protected function init()
        {
            $this->field('user_id', Db_Schema_Table_Field::TYPE_FK, null, false);
            $this->field('linked_id', Db_Schema_Table_Field::TYPE_INT, null, false);
            $this->field('driver', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('ranking', Db_Schema_Table_Field::TYPE_INT, null, false);

            $this->pk('user_id', 'driver', 'linked_id');
            $this->fk('user_id', 'Application_Installer_Database_Schema_Users', 'user_id');
        }
    }
?>
