<?php
    class Application_Installer_Database_Schema_UsersRoles extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'users_roles';
        }

        protected function init()
        {
            $this->field('role_id', Db_Schema_Table_Field::TYPE_SERIAL, null, false);
            $this->field('directory_id', Db_Schema_Table_Field::TYPE_FK);
            $this->field('client_id', Db_Schema_Table_Field::TYPE_FK);
            $this->field('parent_id', Db_Schema_Table_Field::TYPE_FK);
            $this->field('title', Db_Schema_Table_Field::TYPE_TEXT);
            $this->field('nleft', Db_Schema_Table_Field::TYPE_INT);
            $this->field('nright', Db_Schema_Table_Field::TYPE_INT);
            $this->field('nlevel', Db_Schema_Table_Field::TYPE_INT);

            $this->pk('role_id');
            $this->fk('directory_id', 'Application_Installer_Database_Schema_UsersDirectories', 'directory_id');
            $this->fk('client_id', 'Application_Installer_Database_Schema_Clients', 'client_id');
            $this->fk('parent_id', 'Application_Installer_Database_Schema_UsersRoles', 'role_id');
        }
    }
?>