<?php
    class Application_Installer_Database_Schema_UsersRolesToPermissions extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'users_roles_to_permissions';
        }

        protected function init()
        {
            $this->field('permission_id', Db_Schema_Table_Field::TYPE_FK, null, false);
            $this->field('role_id', Db_Schema_Table_Field::TYPE_FK, null, false);
            $this->field('grain', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('allow', Db_Schema_Table_Field::TYPE_BOOL, null, false);

            $this->pk('permission_id', 'role_id', 'grain');
            $this->fk('permission_id', 'Application_Installer_Database_Schema_UsersRolesPermissions', 'permission_id');
            $this->fk('role_id', 'Application_Installer_Database_Schema_UsersRoles', 'role_id');
        }
    }
?>