<?php
    class Application_Loader_Autoload
    {
        protected static $_instance;

        public static function GetInstance()
        {
            if (!self::$_instance instanceof self) {
                self::$_instance = new self();
            }

            return self::$_instance;
        }

        protected function __construct()
        {
            spl_autoload_register(array(__CLASS__, 'autoload'));
        }

        public static function autoload($className)
        {
            if (class_exists($className, false)) {
                return true;
            }

            return Application_Loader::Load($className);
        }
    }
?>
