<?php
    class Application_Loader_Exception extends Exception
    {
        protected $_className;

        public function __construct($msg, $className)
        {
            parent::__construct($msg);

            $this->_className = trim($className);
        }

        public function getClassName()
        {
            return $this->_className;
        }

        public function hasClassName()
        {
            return strlen($this->_className) > 0;
        }
    }
?>