<?php
    /**
     * Abstract class to help custom maintenance methods
     *
     * @since   Recite 1.7.0
     * @author  Quentin Zervaas
     */
    abstract class Application_Maintenance_Abstract implements Application_Maintenance_Interface
    {
        public function __construct()
        { }

        public function getDb()
        {
            return Application::GetDb();
        }

        public function accept($options)
        {
            return true;
        }
    }
?>