<?php
    class Application_Site_Response_Event
    {
        protected $_name;
        protected $_memo = array();

        public function __construct($name)
        {
            $this->_name = $name;
        }

        public function __toString()
        {
            return $this->_name;
        }

        public function addMemo($k, $v)
        {
            if (array_key_exists($k, $this->_memo)) {
                $this->_memo[$k] = array($this->_memo[$k]);
                $this->_memo[$k][] = $v;
            }
            else {
                $this->_memo[$k] = $v;
            }

            return $this;
        }

        public function getMemo($key = null)
        {
            return array_key_exists($key, $this->_memo) ? $this->_memo[$key] : $this->_memo;
        }
    }
?>