<?php
    class Application_SystemStatus_Report
    {
        protected $_items = array();

        public function __construct()
        {

        }

        public function getItems()
        {
            return $this->_items;
        }

        public function add($msg)
        {
            if (!$msg instanceof Application_SystemStatus_Report_Item) {
                $msg = new Application_SystemStatus_Report_Item($msg);
            }

            $this->_items[] = $msg;
            return $msg;
        }

        public function getCriticalItems()
        {
            $ret = array();

            foreach ($this->_items as $item) {
                if ($item->isCritical()) {
                    $ret[] = $item;
                }
            }

            return $ret;
        }

        public function getNonCriticalItems()
        {
            $ret = array();

            foreach ($this->_items as $item) {
                if (!$item->isCritical()) {
                    $ret[] = $item;
                }
            }

            return $ret;
        }
    }
?>
