<?php
    class Application_SystemStatus_Report_Item
    {
        protected $_messages = array();
        protected $_critical = false;
        protected $_fix_url;

        public function __construct($msg = null)
        {
            $this->addMessage($msg);
        }

        public function addMessage($msg)
        {
            $msg = trim($msg);
            if (strlen($msg) > 0) {
                $this->_messages[] = $msg;
            }

            return $this;
        }

        public function getMessages()
        {
            return $this->_messages;
        }

        public function setCritical($flag = true)
        {
            $this->_critical = (bool) $flag;
            return $this;
        }

        public function isCritical()
        {
            return $this->_critical;
        }

        public function setFixUrl($url)
        {
            $this->_fix_url = $url;
            return $this;
        }

        public function getFixUrl()
        {
            return $this->_fix_url;
        }
    }
?>
