<?php
    class Application_Upgrader_Package_Task_ModuleDbDeploy extends Application_Upgrader_Package_Task
    {
        public function __toString()
        {
            return 'Deploy module database tables';
        }

        public function runUpgrade($oldVersion, $newVersion)
        {
        }

        public function runInstall($version)
        {
            $module = $this->getParam('module');
            $module = Application_Module_Manager::Factory($module);

            $db = Application::GetDb();

            if (!$module->canInstallDatabaseTables($db)) {
                throw new Exception('Unable to install database tables');
            }

            $module->installDatabaseTables($db);
        }
    }
?>