<?php
    class Application_Upgrader_Package_Uploader extends FormProcessor
    {
        protected $_importErrors = array();
        public $article;

        public function __construct()
        {
            $this->processed = false;
        }

        public function getImportErrors()
        {
            return $this->_importErrors;
        }

        public function process(Zend_Controller_Request_Abstract $request)
        {
            return false;
            $this->processed = true;

            if (!array_key_exists('file', $_FILES)) {
                $this->addError('file', 'File not specified');
                return false;
            }

            $file = $_FILES['file'];

            if ($file['error'] != UPLOAD_ERR_OK) {
                $this->addError('file', 'Error uploading file');
                return false;
            }

            $importer = new Article_Importer();

            try {
                $importer->import($file['tmp_name']);
            }
            catch (Exception $ex) {
                $this->addError('file', $ex->getMessage());
                return false;
            }

            if ($importer->hasError()) {
                foreach ($importer->getErrors() as $error) {
                    $this->_importErrors[] = $error;
                }

                return false;
            }

            $this->preview = (bool) $request->getPost('preview');

            if (!$this->preview) {
                $this->article = $importer->create();
            }

            $importer->cleanup();

            return true;
        }
    }
?>