<?php
    class Application_View_Client_Info extends Application_View
    {
        protected $_inlinePlugins = array();
        private $_pluginDirs;

        protected static $_function_blacklist = array(
            'eval'
        );

        public function __construct()
        {
            parent::__construct(array());

            Application_View_Client::Configure($this->_engine, array());

            $this->_pluginDirs = $this->_engine->plugins_dir;
        }

        public function getTemplateDir()
        {
            return '';
        }

        public function getInlinePlugins($type)
        {
            $ret = array();

            foreach ($this->_inlinePlugins as $plugin) {
                if ($plugin->getType() == $type) {
                    $ret[] = $plugin;
                }
            }

            return $ret;
        }

        public function registerInlinePlugin($plugin)
        {
            $this->_inlinePlugins[] = $plugin;
            return $this;
        }

        public function getPluginDirs()
        {
            return $this->_pluginDirs;
        }
    }
?>
