<?php
    function smarty_function_geturl($params, &$smarty)
    {
        $module     = trim(coalesce($params['module']));
        $controller = trim(coalesce($params['controller']));
        $action     = trim(coalesce($params['action']));

        $target = coalesce($params['target']);
        if (strlen($target) > 0) {
            list($module, $controller, $action) = explode(':', $target, 3);
        }

        $assign = coalesce($params['assign']);

        $ret = geturl($controller, $action, $module);

        if (strlen($assign) > 0) {
            $smarty->assign($assign, $ret);
        }
        else {
            return $ret;
        }
    }
?>
