<?php
    function smarty_block_paged_data($params, $content, $smarty, $open)
    {
        if (!array_key_exists('dr', $params) || !$params['dr'] instanceof DataRenderer) {
            $smarty->trigger_error("paged_data: Invalid DataRenderer instance passed in dr argument");
            return;
        }

        $block = array(
            'open'     => (bool) $open,
            'content'  => $content,
            'dr'       => $params['dr'],
            'id'       => HTML_Element::GenerateId()
        );

        $smarty->assign('block', $block);

        return $smarty->display('lib/paged-data.tpl');
    }
?>
