<?php
    function smarty_function_cp_help($params, &$smarty)
    {
        $key     = coalesce($params['key']);
        $content = coalesce($params['content']);

        $parts = explode(':', $key);
        if (count($parts) == 2 && $parts[0] == 'module') {
            $key = preg_replace('/^module:/', 'module:' . $smarty->view->getModule() . ':', $key);
        }
        else if (count($parts) == 2 && $parts[0] == 'rule') {
            //$key = preg_replace('/^rule:/', 'rule:' . $smarty->view->getRule() . ':', $key);
        }

        $title = coalesce($params['title']);

        $help = array(
            'title'   => $title,
            'key'     => $key,
            'content' => $content
        );

        $smarty->assign('help', $help);
        echo $smarty->fetch('lib/cp-help.tpl');
    }
?>
