<?php
    function smarty_function_custom_field_manager($params, &$smarty)
    {
        $defaults = array(
            'name'                => '',
            'showProtectedOption' => false
        );

        $params = ArrayTools::buildOptions($params, $defaults);
        $fields = coalesce($params['fields']);

        if (!$fields instanceof Module_Forms_FieldList) {
            $fields = new Module_Forms_FieldList();
        }

        $types = Module_Forms_CustomTypes::getTypes();

        $smarty->assign('params', $params);
        $smarty->assign('fields', $fields);
        $smarty->assign('types', $types);

        return $smarty->fetch('lib/custom-field-manager.tpl');
    }
?>
