<?php
    function smarty_function_get_nav_tabs($params, $smarty)
    {
        $assign   = coalesce($params['assign']);
        $selected = coalesce($params['selected']);

        $client = Application::GetClient();

        $ret = array();

        $tab = new Application_Cp_TabList_Tab('home');
        $tab->setUrl('/')
            ->setTitle('Home')
            ->setIsSelected($tab->getName() == $selected);


        $ret[] = $tab;

        foreach ($client->getModules() as $module) {
            if ($module->isHidden()) {
                continue;
            }

            if (!isAllowed('module:' . $module->getName())) {
                continue;
            }

            $tab = new Application_Cp_TabList_Tab($module->getName());
            $tab->setUrl('/' . $module->getName())
                ->setTitle((string) $module)
                ->setIsSelected($tab->getName() == $selected);

            $ret[] = $tab;
        }

        if (strlen($assign) > 0) {
            $smarty->assign($assign, $ret);
        }
    }
?>