<?php
    function smarty_block_tagempty($params, $content, $smarty, $open)
    {
        if ($open)
            return;

        $tag = coalesce($params['value']);
        $hash = md5($tag);

        $r = substr($hash, 3, 2);
        $g = substr($hash, 19, 2);
        $b = substr($hash, 22, 2);

        $rgb = '#' . $r . $g . $b;

        $avg = (hexdec($r) + hexdec($g) + hexdec($b)) / 3 / 2.55;

        if ($avg < 50)
            $color = '#fff';
        else
            $color = '#000';

        $ret = sprintf('<span class="mini-tag" style="background: %s; color: %s">%s</span>', $rgb, $color, $content);

        return $ret;
    }
?>
