<?php
    class Db_Statement_Helper_postgresql extends Db_Statement_Helper_Abstract
    {
        public function getRandomExpr()
        {
            return new Zend_Db_Expr('random()');
        }

        public function getTimestamp($ts)
        {
            return date('Y-m-d H:i:sO', $ts);
        }

        public function getOlderThanExpression($field, $qty, $unit, $orEqual = false)
        {
            return new Zend_Db_Expr(
                sprintf(
                    "%s + interval '%d %s' %s now()",
                    $field,
                    $qty,
                    self::GetIntervalUnit($unit),
                    $orEqual ? '<=' : '<'
                )
            );
        }

        public function getYoungerThanExpression($field, $qty, $unit, $orEqual = false)
        {
            return new Zend_Db_Expr(
                sprintf(
                    "%s + interval '%d %s' %s now()",
                    $field,
                    $qty,
                    self::GetIntervalUnit($unit),
                    $orEqual ? '>=' : '>'
                )
            );
        }

        public function getDateString($field)
        {
            return new Zend_Db_Expr(sprintf("to_char(%s, 'yyyy-mm-dd')", $field));
        }

        public function getDateTimeString($field)
        {
            return new Zend_Db_Expr(sprintf("to_char(%s, 'yyyy-mm-dd HH24:MI:SS')", $field));
        }
    }
?>