<?php
    class Debug
    {
        public static function dump()
        {
            $args = func_get_args();
            if (IS_CLI) {
                foreach ($args as $a)
                    print_r($a);
            }
            else if (extension_loaded('xdebug')) {
                foreach ($args as $a)
                    var_dump($a);
            }
            else {
                echo "<pre>\n";
                foreach ($args as $a)
                    print_r($a);
                echo "</pre>\n";
            }
        }

        public static function dumpret()
        {
            ob_start();
            foreach (func_get_args() as $a) {
                print_r($a);
            }
            $ret = ob_get_contents();
            ob_end_clean();
            return $ret;
        }

        public static function LogDumpClient($client_id)
        {
            if ($client_id != getClientId() || !Zend_Registry::isRegistered('logger'))
                return;

            ob_start();
            foreach (func_get_args() as $i => $a) {
                if ($i == 0)
                    continue;

                print_r($a);
            }
            $ret = ob_get_contents();
            ob_end_clean();

            Zend_Registry::get('logger')->debug("\n\n" . $ret);
        }
    }
?>