<?php
    class Image_Colour
    {
        public static function AllocateColorFromHexString($im, $hex, $opacity = 0)
        {
            $opacity = max(0, min(100, (int) $opacity));

            $hex = preg_replace('/[^0-9a-f]/i', '', $hex);
            $dec = hexdec($hex);

            return ImageColorAllocateAlpha(
                $im,
                0xff & ($dec >> 0x10),
                0xff & ($dec >> 0x8),
                0xff & $dec,
                $opacity > 0 ? $opacity / 100 * 127 : 0
            );
        }
    }
?>