<?php
    class Image_Tools
    {
        public static function SendToBrowser($im, $type = null)
        {
            $type = File_Type::factory($type);
            $mime = $type->getMimeType();

            switch ($type) {
                case 'jpg':
                    $func = 'ImageJpeg';
                    break;

                case 'gif':
                    $func = 'ImageGif';
                    break;

                case 'png':
                default:
                    $mime = 'image/png';
                    $func = 'ImagePng';
            }

            HTTP::SendContentTypeHeader($mime);
            $func($im);
        }
    }
?>