<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty count modifier plugin
 *
 * Type:     modifier<br>
 * Name:     count<br>
 * Purpose:  Count all elements in an array, or something in an object
 * @param array|object
 * @return int
 */
function smarty_modifier_count($v)
{
    if (is_array($v) || $v instanceof Countable)
    {
        return count($v);
    }
    return 0;
}
