<?php
    class Driver_forms_fields_cpemails extends Profile_Field
    {
        public function __toString()
        {
            return 'Control Panel Emails';
        }

        public function isPublic()
        {
            return false;
        }

        public function getInputTemplate($name, $attrs = array())
        {
            $container = new HTML_Element('div', array('class' => 'ui-email-selector'));

            $options = array(
                'name' => $name,
                'url'  => '/default/forms/email-selector'
            );

            $js = sprintf('jQuery(\'#%s\').reciteEmailSelector(%s);', $container->getUniqueId(), Zend_Json::encode($options));

            $script = new HTML_Element('script', array('type' => 'text/javascript'));
            $script->insert($js);

            return (string) $container . ' ' . $script;
        }

        public function getIndexableField($name)
        {
            throw new Exception('This field type is not indexable');
        }
    }
?>