<?php
    class Driver_forms_fields_email extends Profile_Field
    {
        public function __toString()
        {
            return 'Email Address';
        }

        public function isCore()
        {
            return false;
        }

        public function isValid($val)
        {
            $validator = new Zend_Validate_EmailAddress();
            return $validator->isValid($val);
        }

        public function getInputTemplate($name, $attrs = array())
        {
            if (!is_array($attrs)) {
                $attrs = array();
            }

            $attrs['name']  = $name;
            $attrs['type']  = 'text';
            $attrs['value'] = $this->get();

            if (!array_key_exists('class', $attrs)) {
                $attrs['class'] = 'profile-string';
            }

            $element = new HTML_Element('input', $attrs);

            return (string) $element;
        }
    }
?>