<?php
    class Driver_forms_fields_freestring extends Profile_Field
    {
        public function __toString()
        {
            return 'String (unfiltered)';
        }

        public function getInputTemplate($name, $attrs = array())
        {
            if (!is_array($attrs)) {
                $attrs = array();
            }

            $attrs['name']  = $name;
            $attrs['type']  = 'text';
            $attrs['value'] = $this->get();

            if (!array_key_exists('class', $attrs)) {
                $attrs['class'] = 'profile-string';
            }

            $element = new HTML_Element('input', $attrs);

            return (string) $element;
        }

        public function getIndexableField($name)
        {
            return Zend_Search_Lucene_Field::Text(self::getFormKey($name), $this->preview());
        }

        public function set($val)
        {
            $this->_value = $val;
            return true;
        }

        public function isPublic()
        {
            return false;
        }
    }
?>