<?php
    class Driver_forms_fields_freetext extends Profile_Field
    {
        public function __toString()
        {
            return 'String (multiline unfiltered)';
        }

        public function getInputTemplate($name, $attrs = array())
        {
            if (!is_array($attrs)) {
                $attrs = array();
            }

            $attrs['name'] = $name;

            if (!array_key_exists('class', $attrs)) {
                $attrs['class'] = 'profile-freetext';
            }

            $elt = new HTML_Element('textarea', $attrs);
            $elt->insert($this->get());

            return (string) $elt;
        }

        public function set($val)
        {
            $this->_value = $val;
            return true;
        }

        public function isPublic()
        {
            return false;
        }
    }
?>