<?php
    class Driver_forms_fields_password extends Profile_Field
    {
        public function __toString()
        {
            return 'Password';
        }

        public function getInputTemplate($name, $attrs = array())
        {
            if (!is_array($attrs)) {
                $attrs = array();
            }

            $attrs['name']  = $name;
            $attrs['type']  = 'password';
            $attrs['value'] = $this->get();

            if (!array_key_exists('class', $attrs)) {
                $attrs['class'] = 'profile-string';
            }

            $element = new HTML_Element('input', $attrs);

            return (string) $element;
        }

        public function getIndexableField($name)
        {
            throw new Exception('This field type is not indexable');
        }
    }
?>