<?php
    class Driver_forms_fields_text extends Profile_Field
    {
        public function __toString()
        {
            return 'Text (Paragraph)';
        }

        public function isCore()
        {
            return false;
        }

        public function getInputTemplate($name, $attrs = array())
        {
            if (!is_array($attrs)) {
                $attrs = array();
            }

            $attrs['name']  = $name;

            if (!array_key_exists('class', $attrs)) {
                $attrs['class'] = 'profile-text';
            }

            if (!array_key_exists('rows', $attrs)) {
                $attrs['rows'] = 5;
            }

            if (!array_key_exists('cols', $attrs)) {
                $attrs['cols'] = 30;
            }

            $elt = new HTML_Element('textarea', $attrs);
            $elt->insert($this->get());

            return (string) $elt;
        }
    }
?>