<?php
    class Upgrade_CustomController extends Application_Admin_ControllerAction
    {
        public function init()
        {
            parent::init();
            $this->breadcrumbs->add('System Maintenance', $this->getUrl('index', 'index', 'system'));
            $this->breadcrumbs->add('Package Management', $this->getUrl('index', 'index'));
            $this->breadcrumbs->add('Custom Packages', $this->getUrl('index'));
        }

        public function indexAction()
        {
            $this->_forward('upload');
        }

        public function uploadAction()
        {
            $request = $this->getRequest();
            $fp      = new Application_Upgrader_Package_Uploader();

            if ($request->isPost() && $fp->process($request)) {
                if (!$fp->preview) {
                    $this->showRedirectPage($this->getUrl('view', 'index') . '?id=' . $fp->article->getId(), 'Article created');
                }
            }

            $this->breadcrumbs->add('Import Article', $this->getUrl('index'));
            $this->view->fp = $fp;

        }
    }
?>