var User_Permission_Manager = {

    Init : function(frm)
    {
        frm = $(frm);

        frm.find('a').bind('click', function(e) {
            e.preventDefault();

            var link       = $(this);
            var container  = $(link.parents('td').get(0));
            var type       = link.attr('rel');
            var parts      = container.attr('id').split('_');
            var permission = parts[1];
            var role       = parts[2];

            link.addClass('active');

            $(['y', 'n', 'i']).each(function(i, option) {
                var elt = container.find('a[rel=' + option + ']');

                if (elt.size() == 0) {
                    return;
                }

                if (type == option) {
                    elt.addClass('active');
                }
                else {
                    elt.removeClass('active');
                }
            });

            if (permission != 'new') {

                var data = {
                    directory_id : frm.find('input[name=directory_id]').val(),
                    permission   : permission,
                    role         : role,
                    type         : type
                };

                $.post(frm.attr('action'), data);
            }
        });
    }
};
