{include file='header.tpl' active='brands' scriptaculous=true}

<ul>
    <li><a href="{geturl target='brands::edit'}?id={$brand->getId()}">Edit this brand</a></li>
    <li><a href="{geturl target='brands::settings'}?id={$brand->getId()}">Manage brand settings</a></li>
    <li><a href="{geturl target='brands::delete'}?id={$brand->getId()}">Delete brand...</a></li>
</ul>

<h2>Manage Clients</h2>

<ul>
    <li><a href="{geturl target='clients::edit'}?brand_id={$brand->getId()}">Create new client</a></li>
    <li><a href="{geturl target='clients'}?brand_id={$brand->getId()}">Browse client list</a></li>
    <li><a href="{geturl target='brands:drivers:index'}?id={$brand->getId()}">Default modules and drivers</a></li>
    <li><a href="{geturl target='brands:widgets:index'}?id={$brand->getId()}">Default widget layout</a></li>
</ul>

<h2>Control Panel Domains</h2>

{assign var=domains value=$brand->getDomains()}

<p class="inline-options">
    These are the domains that clients can access the Control Panel with.

    {if $domains|@count > 0}
        <a href="{geturl target='system:webserver:config'}">Manage web server configuration &raquo;</a>
    {/if}
</p>

{if $domains|@count == 0}
    <p>
        No domains assigned to this brand.
    </p>
{else}
    <form method="post" action="{geturl target='brands:index:domain-sort'}?brand={$brand->getId()}" class="sortable">
        <div>
            <ul>
            {foreach from=$domains item=row key=id}
                <li id="domain_{$id}">
                    <a href="{$row->url|escape}" target="_blank">{$row->url|escape}</a>
                    <span class="inline-options">(<a href="{geturl target='brands::domains'}?brand_id={$brand->getId()}&amp;id={$id}&amp;action=delete" onclick="return confirm('Click OK to delete this domain')">delete</a>)</span>
                </li>
            {/foreach}
            </ul>
        </div>
    </form>
{/if}

<form method="get" action="{geturl target='brands::domains'}">
    <div>
        <input type="hidden" name="brand_id" value="{$brand->getId()}" />
        <input type="hidden" name="action" value="add" />
        <input type="text" class="content-user-input" name="url" value="http://" />
        <label>
            <input type="checkbox" name="autoconfig" value="1"{if $autoconfig} checked="checked"{/if} /> Automatic web server config
        </label>
        <input type="submit" value="Add domain" class="submit" />
    </div>
</form>

{include file='footer.tpl'}
