{include file='header.tpl' active='brands'}

{status}
    Set the default widget newly created users receive.
{/status}

<div class="form-submit" id="tab-add">
    Label: <input type="text" name="label" />
    Layout:
    <select name="layout">
        {foreach from=$layouts item=group key=numCols}
            <optgroup label="{$numCols|escape} column{if $numCols != 1}s{/if}">
                {foreach from=$group item=layout}
                    <option value="{$layout}"{if $layout == $defaultLayout} selected="selected"{/if}>{$layout}</option>
                {/foreach}
            </optgroup>
        {/foreach}
    </select>
    <input type="button" value="Add" name="add-blank" />

    <div class="templates-container" style="display:none">
        {hr}

        Pre-built templates:
        <select name="template"><option></option></select>
        <input type="button" value="Add" name="add-template" />
    </div>
</div>

<div id="widget-container">
    <span>
        Widget:
        <select>
            <option value=""></option>
            {foreach from=$widgets item=drivers key=category}
                <optgroup label="{$category|escape}">
                    {foreach from=$drivers item=widget}
                        <option value="{$widget->getName()}">{$widget|escape}</option>
                    {/foreach}
                </optgroup>
            {/foreach}
        </select>
    </span>
</div>

<div id="default-tabs">

</div>

<form method="post" action="{geturl target='brands:widgets:process'}?id={$brand->getId()}" id="widgets-form">
    {status class='submit'}
        <input type="submit" value="Save Widget Layout" class="submit" />
        <input type="submit" name="cancel" value="Cancel" />
    {/status}
</form>

<script type="text/javascript" src="/js/Widgets.js"></script>
<script type="text/javascript">
    jQuery(function($) {ldelim}
        Widgets.Startup({$defaults|@json_encode});

        {foreach from=$templates item=template}
            Widgets.AddTemplate({$template->toJson()});
        {/foreach}
    {rdelim});
</script>

{include file='footer.tpl'}
