{include file='header.tpl' active='clients'}

{if $fp->bundles|@count == 0}
    {status class='no'}
        There are no settings to configure for this client
    {/status}
{else}
    {if !$fp->bundle instanceof Application_Settings_Bundle}
        {status}
            Select a bundle to configure
        {/status}
    {/if}

    <form method="get" action="{geturl target='clients:index:settings'}">
        {status class='renderer'}
            <input type="hidden" name="id" value="{$fp->client->getId()}" />
            <select name="bundle">
                <option value="">Please select...</option>
                {html_options options=$fp->bundles item=$fp->bundle selected=$fp->bundleName}
            </select>
            <input type="submit" value="Load Bundle..." />
        {/status}
    </form>

    {if $fp->bundle instanceof Application_Settings_Bundle}
        <form method="post" action="{geturl target='clients:index:settings'}?id={$client->getId()}&amp;bundle={$fp->bundleName}">
            {foreach from=$fp->bundle->getSections() item=section key=k}
                <fieldset>
                    <legend>{$section|escape}</legend>

                    {include file='lib/form/field-list/input.tpl' fieldlist=$fp->fieldLists.$k}
                </fieldset>
            {/foreach}

            {status class='submit'}
                <input type="submit" value="Save Bundle Settings" class="submit" name="submit" />
                <input type="submit" value="Reset to Defaults" name="reset" onclick="return confirm('Are you sure you want to reset these settings?')" />
                <input type="submit" name="cancel" value="Cancel" />
            {/status}
        </form>
    {/if}
{/if}

{include file='footer.tpl'}
