{include file='_header.tpl'}

{if $IN_MAINTENANCE}
    <div id="maintenance">
        <a href="{geturl target='system:index:index'}">{$APPLICATION_NAME} is currently in maintenance mode - Control Panel and all client sites are currently disabled</a>
    </div>
{/if}

<div id="header">
    <strong><img src="/images/logo-white.png" alt="Administration" /> Recite</strong>
</div>

<div id="primary-nav">
    <ul>
        <li {activeclass active=$active class='active' item='home'}><a href="/">Home</a></li>
        <li {activeclass active=$active class='active' item='brands'}><a href="{geturl target='brands'}">Brands</a></li>
        <li {activeclass active=$active class='active' item='clients'}><a href="{geturl target='clients'}">Clients</a></li>
        <li {activeclass active=$active class='active' item='users'}><a href="{geturl target='users'}">Users</a></li>
        <li {activeclass active=$active class='active' item='system'}><a href="{geturl target='system'}">System</a></li>
        <li {activeclass active=$active class='active' item='reports'}><a href="{geturl target='system:reports'}">Reports</a></li>
        <li {activeclass active=$active class='active' item='logout'}><a href="{geturl target='default:auth:logout'}">Logout</a></li>
    </ul>
</div>

<div id="secondary-nav">
    <ul>
        {if $active == 'brands'}
            <li><a href="{geturl target='brands'}">Brand Listing</a></li>
            <li><a href="{geturl target='brands:index:edit'}">Create Brand</a></li>
        {elseif $active == 'clients'}
            <li><a href="{geturl target='clients'}">Client Listing</a></li>
            <li><a href="{geturl target='clients:index:edit'}">Create Client</a></li>
            <li><a href="{geturl target='clients:licenses:index'}">Licenses</a></li>
        {elseif $active == 'users'}
            <li><a href="{geturl target='users'}">User Listing</a></li>
            <li><a href="{geturl target='users:index:edit'}">Create User</a></li>
        {elseif $active == 'reports'}
            <li><a href="{geturl target='system:reports'}">Index</a></li>
            <li><a href="{geturl target='system:audit:index'}">Activity Audit</a></li>
            <li><a href="{geturl target='system:reports:assets'}">Client Assets</a></li>
            <li><a href="{geturl target='system:reports:clientmodules'}">Client Module Summary</a></li>
            <li><a href="{geturl target='system:logs:index'}">Application Log</a></li>
            <li><a href="{geturl target='system:index:phpinfo'}">PHP Info</a></li>
        {elseif $active == 'system'}
            <li><a href="{geturl target='system'}">Index</a></li>
            <li><a href="{geturl target='upgrade:index:index'}">Package Management</a></li>
            <li><a href="{geturl target='backup:index:index'}">Backup Manager</a></li>
            <li><a href="{geturl target='system:maintenance:index'}">Maintenance Queue</a></li>
            <li><a href="{geturl target='system:webserver:config'}">Web Server Configuration</a></li>
            <li><a href="{geturl target='system:index:status'}">System Status</a></li>
            <li><a href="{geturl target='system:database:index'}">Database Management</a></li>
            <li><a href="{geturl target='system:cache:index'}">Cache Management</a></li>
        {/if}
    </ul>
</div>

<div id="breadcrumbs">
    {breadcrumbs trail=$breadcrumbs->getTrail() separator=" &raquo; " length=30}
</div>

<table id="content-container">
    <tr>
        <td id="content">
            {include file='lib/status-messages.tpl' messages=$statusMessages.ok class='yes'}
            {include file='lib/status-messages.tpl' messages=$statusMessages.errors class='no'}


            {if !$hideTitle}
                <h1 id="main-title">{$title}</h1>
            {/if}
