{include file='header.tpl' active='system'}

<p>
    Recite uses a disk-caching mechanism to speed up page requests for content
    and data that doesn't change frequently. Recite caches data as long as possible
    and marks cache records as dirty when related content is updated.
</p>

<p>
    The cache is not intended to be disabled, but in some cases it may aid in
    system debugging.
</p>

{if $cacheEnabled}
    <form method="post" action="{geturl target='system:cache:disable-cache'}">
        {status class='submit'}
            <input type="submit" name="clear" value="Clear Cache" />
            <input type="submit" value="Disable Cache" />
        {/status}
    </form>
{else}
    <form method="post" action="{geturl target='system:cache:enable-cache'}">
        {status class='submit'}
            <input type="submit" value="Enable Cache" />
        {/status}
    </form>
{/if}

{include file='footer.tpl'}
