{include file='header.tpl' active='system'}

{if $report->getItems()|@count == 0}
    {include file='system/index/lib/maintenance-mode.tpl'}

    {status class='yes'}
        No errors found
    {/status}
{else}
    {assign var=critical value=$report->getCriticalItems()}
    {assign var=nonCritical value=$report->getNonCriticalItems()}

    {if $critical|@count > 0}
        {status class='no'}
            <h3>Please address the following critical issue{if $critical|@count != 1}s{/if}:</h3>
            <ul>
                {foreach from=$critical item=item}
                    <li>
                        {if $item->getFixUrl()|strlen > 0}
                            <a href="{$item->getFixUrl()|escape}">{$item->getMessages()|@join:', '}</a>
                        {else}
                            {$item->getMessages()|@join:', '}
                        {/if}
                    </li>
                {/foreach}
            </ul>
        {/status}
    {else}
        {include file='system/index/lib/maintenance-mode.tpl'}
    {/if}

    {if $nonCritical|@count > 0}
        {status class='maybe'}
            <h3>Please address the following non-critical issue{if $nonCritical|@count != 1}s{/if}:</h3>
            <ul>
                {foreach from=$nonCritical item=item}
                    <li>
                        {if $item->getFixUrl()|strlen > 0}
                            <a href="{$item->getFixUrl()|escape}">{$item->getMessages()|@join:', '}</a>
                        {else}
                            {$item->getMessages()|@join:', '}
                        {/if}
                    </li>
                {/foreach}
            </ul>
        {/status}
    {/if}
{/if}


{include file='footer.tpl'}
