{include file='header.tpl' active='system'}

<form method="post" action="{geturl target='system:maintenance:bulk'}">
    <table class="data full">
        <tr>
            {if $queue|@count > 0}
                <th><input type="checkbox" class="checkall" /></th>
            {/if}
            <th class="title">Item</th>
            <th class="title">Client</th>
            <th class="title">Created</th>
            <th class="title">Started</th>
        </tr>
        {foreach from=$queue item=row key=id}
            <tr>
                <td class="value">
                    {if $row->getRunningTimestamp()|strlen > 0}
                    {else}
                        <input type="checkbox" name="ids[]" value="{$id}" />
                    {/if}
                </td>
                <td>
                    {* for some reason the Smarty escape modifier sometimes breaks casting objects *}
                    {'%s'|sprintf:$row|escape}

                    {assign var=params value=$row->getParams()}
                    {if $params|@count > 0}
                        <div class="inline-options">
                            {foreach from=$params item=v key=k}
                                <div>{$k|escape} = {$v|escape}</div>
                            {/foreach}
                        </div>
                    {/if}
                </td>
                <td>
                    {if $row->hasClient()}
                        {assign var=client value=$row->getClient()}
                        <a href="{geturl target='clients:index:view'}?id={$client->getId()}">{$client|escape}</a>
                    {else}
                        -
                    {/if}
                </td>
                <td>
                    {$row->getCreatedTimestamp()|locale_datetime}
                </td>
                <td>
                    {$row->getRunningTimestamp()|locale_datetime:'%x %X'|default:'(pending)'}
                </td>
            </tr>
        {foreachelse}
            <tr class="options">
                <td colspan="4">
                    <em>No queued actions</em>
                </td>
            </tr>
        {/foreach}
    </table>

    {if $queue|@count > 0}
        {status class='submit'}
            <input type="submit" value="Delete Selected" name="delete" class="submit" />
        {/status}
    {/if}
</form>

{include file='footer.tpl'}
