{include file='header.tpl' active='system'}

{include file='system/index/lib/maintenance-mode.tpl'
         messageDisabled='Maintenance mode must be enabled to upgrade Recite CMS'
         messageEnabled='Disable maintenance mode once you have finished upgrading Recite CMS'}

<h3>1. Upgrade Recite CMS</h3>

<blockquote>
    <p>
        To upgrade Recite you must use the <code>{$info.script.filename|escape}</code> command-line tool.
    </p>

    <div class="program-listing">
        <pre>{$info.commands|@join:"\n"}</pre>
    </div>
</blockquote>

<h3>2. Check Permissions</h3>

<blockquote>
    <p>
        After upgrade is complete, ensure the file permissions are correctly set:
    </p>

    <dl>
        <dt>Must be readable and writable:</dt>
        <dd><code>{$info.paths.data|escape}</code></dd>

        <dt>Must be at least readable:</dt>
        <dd><code>{$info.paths.app|escape}</code></dd>
        <dd><code>{$info.paths.lib|escape}</code></dd>

        <dt>Must be readable and executable:</dt>
        <dd><code>{$info.paths.tools|escape}</code></dd>
    </dl>
</blockquote>

<h3>3. Upgrade Packages</h3>

<blockquote>
    <p>
        After upgrading visit the <a href="{geturl target='upgrade:index:index'}">package management tool</a>
        to update packages.
    </p>
</blockquote>

{include file='footer.tpl'}
