{include file='header.tpl' active='users'}

<form method="post" action="{geturl target='users:permissions:manage}">
    <input type="hidden" name="client_id" value="{$fp->client->getId()}" />
    <input type="hidden" name="role_id" value="{$fp->role->getId()}" />
    <input type="hidden" name="directory_id" value="{$fp->directory->getId()}" />
    <input type="text" name="filter" value="{$fp->filter|escape}" />
    <input type="submit" value="Filter" />
    <input type="submit" value="Clear" name="clear" />
</form>

{hr}

<form method="post" action="{geturl target='users:permissions:deploy'}" onsubmit="return confirm('Click OK to deploy default client permissions')">
    {status class='submit'}
        <input type="hidden" name="client_id" value="{$fp->client->getId()}" />
        <input type="submit" value="Deploy Default Permissions" />
        <input type="hidden" name="filter" value="{$fp->filter|escape}" />
    {/status}
</form>

{hr}

<form method="post" action="{geturl target='users:permissions:manage}" id="permissions">
    <input type="hidden" name="client_id" value="{$fp->client->getId()}" />
    <input type="hidden" name="role_id" value="{$fp->role->getId()}" />
    <input type="hidden" name="directory_id" value="{$fp->directory->getId()}" />
    <input type="hidden" name="filter" value="{$fp->filter|escape}" />

    <table class="data full">
        <tr>
            <th></th>
            <th>Default</th>
            {foreach from=$fp->roles item=role}
                <th class="role" role_id="{$role->getId()}">{$role->nlevel}. {$role|escape}</th>
            {/foreach}
            <th></th>
        </tr>
        <tr class="options">
            <td class="label">
                Create new:
                <input type="text" name="name" />
                <input type="submit" value="Save" name="submit" />
            </td>
            <td id="perm_new_default">
            </td>
            {foreach from=$fp->roles item=row key=id}
                <td id="perm_new_{$id}">
                </td>
            {/foreach}
            <td></td>
        </tr>
        {foreach from=$fp->permissions item=permission key=id}
            <tr>
                <td class="label">
                    {$permission|escape}{if $permission->finegrained}*{/if}
                    {if $permission->description|strlen > 0}
                        <div class="inline-options">{$permission->description|escape}</div>
                    {/if}
                </td>
                <td id="perm_{$permission->getId()}_default">
                    <a href="#" class="y{if $permission->allow} active{/if}" rel="y">&nbsp;</a>
                    <a href="#" class="n{if !$permission->allow} active{/if}" rel="n">&nbsp;</a>
                </td>
                {foreach from=$fp->roles item=row key=role_id}
                    {assign var=perm value=$fp->getPermission($id, $role_id)}
                    <td id="perm_{$permission->getId()}_{$role_id}">
                        <a href="#" class="i{if $perm == 0} active{/if}" rel="i">&nbsp;</a>
                        <a href="#" class="y{if $perm > 0} active{/if}" rel="y">&nbsp;</a>
                        <a href="#" class="n{if $perm < 0} active{/if}" rel="n">&nbsp;</a>
                    </td>
                {/foreach}
                <td class="value">
                    <input type="submit" value="Delete" name="delete[{$id}]" />
                </td>
            </tr>
        {/foreach}
    </table>
</form>

<script type="text/javascript" src="/js/User/Permission/Manager.js"></script>
<script type="text/javascript">
    jQuery(function($) {ldelim}
        User_Permission_Manager.Init($('#permissions'));
    {rdelim});
</script>

{include file='footer.tpl'}
