<?php
    class FrontendController extends Application_Cp_Site_ControllerAction
    {
        public function indexAction()
        {
            $request = $this->getRequest();
            $page_id = (int) $request->getQuery('id');
            $close   = (bool) $request->getQuery('close');
            $draft   = (bool) $request->getQuery('draft');
            $hide    = (bool) $request->getQuery('hide');

            $page = new Module_Pages_Page();
            $page->load($page_id);

            if (!$page->saved()) {
                $page = Module_Pages_Page::GetRootPage();
            }

            $url = $this->client->getPrimaryDomain();

            if (strlen($url) > 0) {
                $url .= $page->getWebPath() . '?admin=1';
                if ($close) {
                    $url .= '&__close=1';
                    $this->_redirect($url);
                }
                if ($draft) {
                    $url .= '&__draft=1';
                }
                if ($hide) {
                    $url .= '&__hide=1';
                }
            }

            if (strlen($url) == 0) {
                $this->_forward('no-url');
            }
            else {
                $this->_redirect($url);
            }
        }

        public function noUrlAction()
        { }
    }
?>