{if $smarty.const.IN_DEVELOPMENT}
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
    <head>
        <title>Error - {$exception->getMessage()|escape}</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    </head>
    <body>
        <div>
            <h3>Error:</h3>
            <strong>{$exception->getMessage()|escape}</strong>
            <br />
            <em>{$exception->getFile()|escape} line {$exception->getLine()}</em>
            <hr />
            <h3>Backtrace:</h3>
            <pre>{$exception->getTraceAsString()|escape}</pre>
        </div>
    </body>
</html>
{else}
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
    <head>
        <title>{$THEME|escape} - {if $code == 404}File Not Found{else}An Error Occurred{/if}</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <link rel="stylesheet" type="text/css" href="/files/v2/css/maintenance.css" />
        <link rel="shortcut icon" href="/files/images/favicon.ico" />
        <link rel="icon" href="/files/images/favicon.ico" />
    </head>
    <body>
        <table id="main">
            <tr>
                <td id="main-container">
                    <div class="status-msg"><div class="s1"></div><div class="s2"></div><div class="s3"></div><div class="msg">
                        <img src="/files/v2/images/logo.png" alt="" />

                        {if $code == 404}
                            The requested URL could not be found on this server.
                        {else}
                            An error occurred. Please contact your administrator if you
                            require further assistance.
                        {/if}

                        {hr}

                        <a href="/">Return to Control Panel...</a>
                    </div><div class="s3"></div><div class="s2"></div><div class="s1"></div></div>
                </td>
            </tr>
        </table>
    </body>
</html>
{/if}
