<div id="{$CONTAINER_ID}">
{form}
    <input type="hidden" name="type" value="{$field.type->getType()|escape}" />
    <input type="hidden" name="typeTitle" value="{$field.type|escape}" />
    {field title='Type' help='This is the type of field you are updating.'}
        {$field.type|escape}
    {/field}

    {field title='Title' help='Enter the title of this field.'}
        {profile_input type='string' name='title' value=$field.title}
    {/field}

    {field title='Internal Name' help='Enter the internal name for this field. If left blank this will be generated from the title field.'}
        {profile_input type='string' name='name' value=$field.name}
    {/field}

    {field title='Help Text' help='Here you can enter instructions for people filling out this form field.'}
        {profile_input type='string' name='help' value=$field.help}
    {/field}

    {if !is_null($field.options)}
        {foreach from=$field.options item=f}
            {field title=$f->getTitle() help=$f->getHelp()}
                {capture assign=_name}option_{$f->getName()}{/capture}
                {assign var=_type value=$f->getType()}
                {profile_input field=$_type name=$_name preserve=true value=$_type->get()}
            {/field}
        {/foreach}
    {/if}

    {field title='Other Options'}
        <div>
            <label>
                <input type="checkbox" name="required" value="1"{if $field.required} checked="checked"{/if} />
                This field is required
            </label>
        </div>

        {if $showProtectedOptions}
            <div>
                <label>
                    <input type="checkbox" name="protected" value="1"{if $field.protected} checked="checked"{/if} />
                    Hide this field from the front-end
                </label>
            </div>
            <div>
                <label>
                    <input type="checkbox" name="noedit" value="1"{if $field.noedit} checked="checked"{/if} />
                    Field can only be modified via Control Panel
                </label>
            </div>
        {/if}
    {/field}
{/form}
</div>

<script type="text/javascript">
    jQuery(function($) {ldelim}
        var containerId = '{$CONTAINER_ID}';
        {literal}
        Recite_Util.UrlGenerator($('#' + containerId + ' input[name=title]'), $('#' + containerId + ' input[name=name]'), '_');
        $('#' + containerId + ' input').bind('keydown', function(e) {
              var code = (e.keyCode ? e.keyCode : e.which);

              if (code == 13) {
                  e.preventDefault();
              }
        });
        {/literal}
    {rdelim});
</script>