{if $block.open}
    <div class="ui-widget ui-widget-content ui-gadget{if $block.class|strlen > 0} {$block.class|escape}{/if}">
        <div class="ui-widget-header ui-helper-clearfix ui-gadget-draghandle ui-gadget-titlebar">
            <span class="ui-gadget-title">{$block.title|trim|default:$block.driver|escape}</span>
            {if $block.canClose || $block.canMinimize || $block.canReload}
                <ul class="ui-gadget-options">
                    {if $block.canReload}
                        <li><a href="#" class="ui-gadget-refresh ui-corner-all">
                            <i class="fa fa-refresh"></i>
                            <span class="fa-description">refresh</span>
                        </a></li>
                    {/if}
                    {if $block.canMinimize}
                        <li><a href="#" class="ui-gadget-minmax ui-corner-all">
                            <i class="fa fa-chevron-down"></i>
                            <span class="fa-description">toggle</span>
                        </a></li>
                    {/if}
                    {if $block.canClose}
                        <li><a href="#" class="ui-gadget-close ui-corner-all">
                            <i class="fa fa-close"></i>
                            <span class="fa-description">close</span>
                        </a></li>
                    {/if}
                </ul>
            {/if}
        </div>
        <div class="ui-gadget-body">
{else}
            {$block.content}
        </div>
    </div>
{/if}
