<?php
    require_once('Application/Defines.php');
    require_once('Application/Loader.php');

    Application_Loader::Startup();

    if (Application_SystemStatus::InMaintenanceMode()) {
        //Application_CommandLine_Maintenance::SendMaintenanceMessage();
    }

    try {
        Application::startup(Application::SITE_CLI);
    }
    catch (Exception $ex) {
        Application_CommandLine_Maintenance::SendStartupErrorMessage($ex);
        exit;
    }
?>