<?php
    class Application_Cp_Tab_Column
    {
        protected $_span = 1;
        protected $_widgets = array();

        public function __construct($span)
        {
            $this->_span = $span = max(1, (int) $span);
        }

        public function getWidgets()
        {
            return $this->_widgets;
        }

        public function addWidget(Application_User_Cp_Widget $widget)
        {
            $this->_widgets[] = $widget;
            return $this;
        }

        public function getSpan()
        {
            return $this->_span;
        }
    }
?>
