<?php
    require_once('Application/Defines.php');
    require_once('Application/Loader.php');

    Application_Loader::Startup();

    if (Application_SystemStatus::InMaintenanceMode()) {
        Application_Client_Site_Maintenance::SendMaintenanceMessage();
    }

    try {
        Application::Startup(Application::SITE_DAV);
    }
    catch (Exception $ex) {
        Application_Client_Site_Maintenance::SendStartupErrorMessage($ex);
        exit;
    }

    $server = new Application_Dav_Server();
    $server->dispatch();
?>