<?php
    /**
     * This class pre-populates the cache with event observers
     */
    class Application_Event_CachePrimer extends Application_Maintenance_Abstract
    {
        public function __toString()
        {
            return 'Event observer cache primer';
        }

        public function run($options)
        {
            Application_Event_Manager::ClearCache();

            $observers = Application_Event_Manager::GetEveryObserver();

            $cache = Application_Event_Manager::GetCache();

            foreach ($observers as $event => $scripts) {
                $cache->save($scripts, md5($event));
            }

            $cache->save(true, 'primed');
        }
    }
?>
