<?php
    class Application_Event_Observer_Core_module_users_user_predelete extends Application_Event_Observer_Abstract
    {
        public function notify(Application_Event $event)
        {
            $user = $event->get('user');

            if (!$user instanceof Application_User) {
                return;
            }

            // clear audit entries
            Application_Auditor::ClearForUser($user->getId());

            // clear emails
            Application_User_Email::ClearForUser($user->getId());

            // clear user tracking
            $ut = Application_Auth_UserTracker::GetInstance();
            $ut->deleteEntries($user->getId());

            // clear user tabs
            Application_User_Cp_Tab::ClearForUser($user->getId());
        }
    }
?>