<?php
    /**
     * This class is used to hold a series of responses from event handlers
     *
     * @package Application_Event
     * @author  Quentin Zervaas
     * @since   Recite 2.0.0
     */
    class Application_Event_ResponseCollection
    {
        protected $_responses = array();

        public function __construct()
        {
        }

        public function add(Application_Event_Response $response)
        {
            $this->_responses[] = $response;
            return $this;
        }

        public function getResponses()
        {
            return $this->_responses;
        }
    }
?>