<?php
    class Application_Installer_Database_Schema_BrandsProfile extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'brands_profile';
        }

        protected function init()
        {
            $this->field('brand_id', Db_Schema_Table_Field::TYPE_FK, null, false);
            $this->field('profile_key', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('profile_value', Db_Schema_Table_Field::TYPE_TEXT, null, false);

            $this->pk('brand_id', 'profile_key');
            $this->fk('brand_id', 'Application_Installer_Database_Schema_Brands', 'brand_id');
        }
    }
?>