<?php
    class Application_Installer_Database_Schema_ClientsCustomSettings extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'clients_customsettings';
        }

        protected function init()
        {
            $this->field('setting_id', Db_Schema_Table_Field::TYPE_SERIAL, null, false);
            $this->field('client_id', Db_Schema_Table_Field::TYPE_FK, null, false);
            $this->field('title', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('setting_key', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('setting_type', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('setting_value', Db_Schema_Table_Field::TYPE_TEXT);
            $this->field('params', Db_Schema_Table_Field::TYPE_TEXT, null, false);

            $this->pk('setting_id', 'client_id', 'setting_key');
            $this->fk('client_id', 'Application_Installer_Database_Schema_Clients', 'client_id');
        }
    }
?>