<?php
    class Application_Installer_Database_Schema_ClientsDomains extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'clients_domains';
        }

        protected function init()
        {
            $this->field('domain_id', Db_Schema_Table_Field::TYPE_SERIAL, null, false);
            $this->field('client_id', Db_Schema_Table_Field::TYPE_FK, null, false);
            $this->field('url', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('is_dav', Db_Schema_Table_Field::TYPE_BOOL);
            $this->field('ranking', Db_Schema_Table_Field::TYPE_INT);

            $this->pk('domain_id');
            $this->fk('client_id', 'Application_Installer_Database_Schema_Clients', 'client_id');
        }
    }
?>