<?php
    class Application_Installer_Database_Schema_ClientsDrivers extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'clients_drivers';
        }

        protected function init()
        {
            $this->field('client_id', Db_Schema_Table_Field::TYPE_FK, null, false);
            $this->field('driver_name', Db_Schema_Table_Field::TYPE_TEXT, null, false);

            $this->pk('client_id', 'driver_name');
            $this->fk('client_id', 'Application_Installer_Database_Schema_Clients', 'client_id');
        }
    }
?>