<?php
    class Application_Installer_Database_Schema_ClientsModules extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'clients_modules';
        }

        protected function init()
        {
            $this->field('module', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('client_id', Db_Schema_Table_Field::TYPE_FK, null, false);
            $this->field('ranking', Db_Schema_Table_Field::TYPE_INT);

            $this->pk('module', 'client_id');
            $this->fk('client_id', 'Application_Installer_Database_Schema_Clients', 'client_id');
        }
    }
?>