<?php
    class Application_Installer_Database_Schema_ClientsProfile extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'clients_profile';
        }

        protected function init()
        {
            $this->field('client_id', Db_Schema_Table_Field::TYPE_FK, null, false);
            $this->field('profile_key', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('profile_value', Db_Schema_Table_Field::TYPE_TEXT, null, false);

            $this->pk('client_id', 'profile_key');
            $this->fk('client_id', 'Application_Installer_Database_Schema_Clients', 'client_id');
        }
    }
?>