<?php
    class Application_Installer_Database_Schema_UsersCpLoginTracking extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'users_cp_login_tracking';
        }

        protected function init()
        {
            $this->field('login_id', Db_Schema_Table_Field::TYPE_SERIAL, null, false);
            $this->field('user_id', Db_Schema_Table_Field::TYPE_FK, null, false);
            $this->field('client_id', Db_Schema_Table_Field::TYPE_FK, null, false);
            $this->field('remote_addr', Db_Schema_Table_Field::TYPE_VARCHAR, 32, false);
            $this->field('remote_user_agent', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('ts_updated', Db_Schema_Table_Field::TYPE_TIMESTAMPTZ, null, false);

            $this->pk('login_id');
            $this->fk('user_id', 'Application_Installer_Database_Schema_Users', 'user_id');
            $this->fk('client_id', 'Application_Installer_Database_Schema_Clients', 'client_id');
        }
    }
?>