<?php
    class Application_Installer_Database_Schema_UsersCpTabs extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'users_cp_tabs';
        }

        protected function init()
        {
            $this->field('tab_id', Db_Schema_Table_Field::TYPE_SERIAL, null, false);
            $this->field('user_id', Db_Schema_Table_Field::TYPE_INT, null, false);
            $this->field('client_id', Db_Schema_Table_Field::TYPE_INT, null, false);
            $this->field('url', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('ranking', Db_Schema_Table_Field::TYPE_INT);

            $this->pk('tab_id');
            $this->fk('user_id', 'Application_Installer_Database_Schema_Users', 'user_id');
            $this->fk('client_id', 'Application_Installer_Database_Schema_Clients', 'client_id');
            $this->unique('user_id', 'client_id', 'url');
        }
    }
?>