<?php
    class Application_Installer_Database_Schema_UsersDirectories extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'users_directories';
        }

        protected function init()
        {
            $this->field('directory_id', Db_Schema_Table_Field::TYPE_SERIAL, null, false);
            $this->field('client_id', Db_Schema_Table_Field::TYPE_FK);
            $this->field('directory_type', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('title', Db_Schema_Table_Field::TYPE_TEXT, null, false);

            $this->pk('directory_id');
            $this->fk('client_id', 'Application_Installer_Database_Schema_Clients', 'client_id');
        }
    }
?>