<?php
    class Application_Installer_Database_Schema_UsersEmailHistory extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'users_email_history';
        }

        protected function init()
        {
            $this->field('email_id', Db_Schema_Table_Field::TYPE_SERIAL, null, false);
            $this->field('user_id', Db_Schema_Table_Field::TYPE_FK);
            $this->field('headers', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('body', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('body_html', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('success', Db_Schema_Table_Field::TYPE_BOOL, null, false);
            $this->field('ts_sent', Db_Schema_Table_Field::TYPE_TIMESTAMPTZ, null, false);

            $this->pk('email_id');
            $this->fk('user_id', 'Application_Installer_Database_Schema_Users', 'user_id');
        }
    }
?>