<?php
    class Application_Installer_Database_Schema_UsersProfile extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'users_profile';
        }

        protected function init()
        {
            $this->field('user_id', Db_Schema_Table_Field::TYPE_FK, null, false);
            $this->field('profile_key', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('profile_value', Db_Schema_Table_Field::TYPE_TEXT, null, false);

            $this->pk('user_id', 'profile_key');
            $this->fk('user_id', 'Application_Installer_Database_Schema_Users', 'user_id');
        }
    }
?>