<?php
    class Application_Installer_Database_Schema_UsersRolesPermissions extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'users_roles_permissions';
        }

        protected function init()
        {
            $this->field('permission_id', Db_Schema_Table_Field::TYPE_SERIAL, null, false);
            $this->field('directory_id', Db_Schema_Table_Field::TYPE_FK);
            $this->field('client_id', Db_Schema_Table_Field::TYPE_FK);
            $this->field('title', Db_Schema_Table_Field::TYPE_TEXT);
            $this->field('description', Db_Schema_Table_Field::TYPE_TEXT);
            $this->field('allow', Db_Schema_Table_Field::TYPE_BOOL, null, false);
            $this->field('finegrained', Db_Schema_Table_Field::TYPE_BOOL, null, false);

            $this->pk('permission_id');
            $this->fk('directory_id', 'Application_Installer_Database_Schema_UsersDirectories', 'directory_id');
            $this->fk('client_id', 'Application_Installer_Database_Schema_Clients', 'client_id');
        }
    }
?>