<?php
    class Application_Installer_Database_Schema_UsersToRoles extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'users_to_roles';
        }

        protected function init()
        {
            $this->field('user_id', Db_Schema_Table_Field::TYPE_FK, null, false);
            $this->field('role_id', Db_Schema_Table_Field::TYPE_FK, null, false);

            $this->pk('user_id', 'role_id');
            $this->fk('user_id', 'Application_Installer_Database_Schema_Users', 'user_id');
            $this->fk('role_id', 'Application_Installer_Database_Schema_UsersRoles', 'role_id');
        }
    }
?>