<?php
    abstract class Application_License_Exception_FailedLicense extends Exception
    {
        final public function __construct($product, $msg = null, $code = null)
        {
            $msg = trim($msg);

            if (strlen($msg) == 0) {
                $msg = 'Failed license check';
            }

            parent::__construct($msg, $code);

            $audit = new Application_Auditor_Message($msg);
            $audit->addMemo('exception', get_class($this))
                  ->addMemo('product', $product)
                  ->record();
        }
    }
?>