<?php
    class Application_Settings_Cp_TreeView extends NestedTree_TreeView_Data_Abstract
    {
        public function getNodes()
        {
            $ret = new NestedTree_NodeList();

            $root = new NestedTree_Node('_home');
            $root->setTitle('Settings')
                 ->setIsOpen(true);

            $ret->add($root);

            $bundles = Application_Settings_Manager::GetBundles(Application::GetClient());

            foreach ($bundles as $bundle) {
                $node = new NestedTree_Node($bundle->getName());
                $node->setTitle((string) $bundle);

                $root->add($node);
            }

            foreach (Application_Settings_Manager::$customBundles as $k => $v) {
                $root = new NestedTree_Node($k);
                $root->setTitle($v['title'])
                     ->setIsOpen(true);

                $ret->add($root);
            }

            return $ret;
        }
    }
?>
