<?php
    class Application_Site_Response_StatusMessage
    {
        const STATUS_INFO    = 1;
        const STATUS_SUCCESS = 2;
        const STATUS_NOTICE  = 3;
        const STATUS_WARN    = 4;
        const STATUS_ERR     = 5;
        const STATUS_DEBUG   = 6;

        private static $_types = array(
            self::STATUS_INFO,
            self::STATUS_SUCCESS,
            self::STATUS_NOTICE,
            self::STATUS_WARN,
            self::STATUS_ERR,
            self::STATUS_DEBUG
        );

        protected $_message;
        protected $_type;

        public function __construct($msg, $type = 1)
        {
            if (!array_key_exists($type, self::$_types)) {
                throw new Exception('Invalid status type');
            }

            $this->_message = $msg;
            $this->_type    = $type;
        }

        public function __toString()
        {
            return (string) $this->_message;
        }

        public function getType()
        {
            return $this->_type;
        }
    }
?>