<?php
    class Application_View_Client_Validator extends Application_View_Validator
    {
        public function __construct()
        {
            parent::__construct();

            Application_View_Client::Configure($this);
            $this->default_template_handler_func = '';
        }

        public function validateTemplate($data, $self = null, $validateResources = true)
        {
            $options = array(
                'validateResources' => $validateResources
            );

            if (strlen($self) > 0) {
                $options['self'] = $self;
            }

            return parent::validateTemplate($data, $options);
        }
    }
?>
