<?php
    function smarty_function_activeclass($params, &$smarty)
    {
        $class     = coalesce($params['class'], 'active');
        $active    = Text::urlize(coalesce($params['active']), '-.');
        $item      = Text::urlize(coalesce($params['item']), '-.');
        $elseclass = coalesce($params['elseclass']);
        $force     = array_filter(preg_split('/\s+/', coalesce($params['force'])));

        $classes = $force;


        if ($active == $item || preg_match('/^' . preg_quote($item, '/') . '\./', $active))
            $classes[] = $class;
        else if (strlen($elseclass) > 0)
            $classes[] = $elseclass;

        if (count($classes) > 0)
            return sprintf(' class="%s"', join(' ', $classes));

        return '';
    }
?>
