<?php
    function smarty_function_profile_output($params, &$smarty)
    {
        $field = coalesce($params['field']);

        if (!$field instanceof Profile_Field) {
            try {
                $field = Profile_Field::factory($field);
            }
            catch (Exception $ex) { }
        }

        if ($field instanceof Profile_Field) {
            if (array_key_exists('value', $params)) {
                $field->clear();
                $field->set($params['value']);
            }

            $ret = $field->preview();
        }
        else
            $ret = coalesce($params['value']);

        if (strlen($ret) == 0)
            $ret = '-';

        $assign = coalesce($params['assign']);
        if (strlen($assign) > 0)
            $smarty->assign($assign, $ret);
        else
            return $ret;
    }
?>