<?php
    function smarty_block_field($params, $content, &$smarty, &$repeat)
    {
        $block = array(
            'open'     => (bool) $repeat,
            'content'  => $content,
            'first'    => (bool) coalesce($params['first']),
            'last'     => (bool) coalesce($params['last']),
            'title'    => coalesce($params['title']),
            'subtitle' => coalesce($params['subtitle']),
            'help'     => coalesce($params['help']),
            'helpText' => coalesce($params['helpText']),
            'error'    => array_filter(explode(',', coalesce($params['error']))),
            'close'    => coalesce($params['close']),
            'required' => (bool) coalesce($params['required'])
        );

        $smarty->assign('block', $block);

        return $smarty->display(Application_View_Plugins_Cp_Form::GetFieldTemplate());
    }
?>
