<?php
    function smarty_function_cms_tree($params, &$smarty)
    {
        $defaults = array(
            'id'    => '',
            'file'  => '',
            'class' => '',
            'root'  => ''
        );

        $params = ArrayTools::buildOptions($params, $defaults);

        if (strlen($params['file']) == 0)
            return;

        if (strlen($params['class']) == 0 && preg_match('/^([^.]+)/', basename($params['file']), $matches))
            $params['class'] = $matches[1];

        $smarty->assign('params', $params);
        return $smarty->fetch('lib/cms-tree.tpl');
    }
?>
