<?php
    function smarty_function_form_error($params, &$smarty)
    {
        $error = coalesce($params['error']);
        $header = (bool) coalesce($params['header']);
        $footer = (bool) coalesce($params['footer']);

        if (is_array($error)) {
            $error = array_values($error);
        }
        else {
            if (strlen($error) > 0) {
                $error = array($error);
            }
            else {
                $error = array();
            }
        }

        $smarty->assign('header', $header);
        $smarty->assign('footer', $footer);
        $smarty->assign('error', $error);
        return $smarty->fetch('lib/form-error-details.tpl');
    }
?>
