<?php
    function smarty_block_content_status_box($params, $content, $smarty, $open)
    {
        $defaults = array(
            'title'        => '',
            'titleEscaped' => false
        );

        $block = array(
            'open'    => (bool) $open,
            'content' => $content,
            'id'      => coalesce($params['id']),
            'status'  => null
        );

        foreach (ArrayTools::BuildOptions($params, $defaults) as $k => $v) {
            $block[$k] = $v;
        }

        try {
            $block['status'] = Application_Content_Status::GetStatus(coalesce($params['status']));
        }
        catch (Exception $ex)
        {
            $block['status'] = null;
        }

        $smarty->assign('block', $block);

        return $smarty->display('plugins/content/status-box.tpl');
    }
?>