<?php
    function smarty_block_field($params, $content, $smarty, $open)
    {
        $block = array(
            'open'      => (bool) $open,
            'content'   => $content,
            'title'     => coalesce($params['title']),
            'titleEscaped' => (bool) coalesce($params['titleEscaped']),
            'hideTitle' => coalesce($params['hideTitle']),
            'subtitle'  => coalesce($params['subtitle']),
            'help'      => coalesce($params['help']),
            'error'     => coalesce($params['error']),
            'first'     => (bool) coalesce($params['first']),
            'last'      => (bool) coalesce($params['last']),
            'required'  => (bool) coalesce($params['required'])
        );

        $smarty->assign('block', $block);

        return $smarty->display('plugins/form/field.tpl');
    }
?>
