<?php
    function smarty_block_widget($params, $content, $smarty, $open)
    {
        $defaults = array(
            'title' => ''
        );

        $params = ArrayTools::BuildOptions($params, $defaults);

        $block = array(
            'driver' => $smarty->get_template_vars('driver'),

            'open'     => (bool) $open,
            'title'    => coalesce($params['title']),
            'subtitle' => coalesce($params['subtitle']),
            'content'  => $content,
            'class'    => coalesce($params['class']),

            'canClose'    => true,
            'hasOptions'  => false,
            'canMinimize' => true,
            'canReload'   => true,
        );

        $smarty->assign('block', $block);
        return $smarty->display('plugins/widget/widget.tpl');
    }
?>