<?php
    function smarty_function_fieldlist_filter_manager($params, $smarty)
    {
        $fieldlist = coalesce($params['fieldlist']);

        if (!$fieldlist instanceof Profile_Field_FieldList) {
            //return;
            $smarty->trigger_error('fieldlist must be an instanceof Profile_Field_FieldList');
        }

        $filters = coalesce($params['filters']);

        if (!$filters instanceof Profile_Field_FieldList) {
            $filters = new Profile_Field_FieldList();
        }

        $smarty->assign('fieldlist', $fieldlist);
        $smarty->assign('filters', $filters);
        $smarty->assign('filterTitle', coalesce($params['title']));

        if (Application::GetSite() == 'client') {
            $url = '/__/containers/filters';
        }
        else {
            $url = '';
        }

        $smarty->assign('url', $url);

        return $smarty->fetch('plugins/form/field-list/filter/manager.tpl');
    }
?>