<?php
    function smarty_function_html_select_boolean($params, &$smarty)
    {
        require_once $smarty->_get_plugin_filepath('function','html_options');

        $values = array(1, 0);
        $output = array('Yes', 'No');

        $selected = (bool) coalesce($params['value']);

        $name = coalesce($params['name']);
        $id = coalesce($params['id']);

        $ret = sprintf("<select%s%s>\n%s</select>\n",
                       strlen($params['name']) > 0 ? ' name="' . $name . '"' : '',
                       strlen($params['id']) > 0 ? ' id="' . $id . '"' : '',
                       smarty_function_html_options(array('output'     => $output,
                                                          'values'     => $values,
                                                          'selected'   => $selected ? 1 : 0,
                                                          'print_result' => false),
                                                    $smarty));
        return $ret;
    }
?>