<?php
    function smarty_resource_client_source($tpl_name, &$tpl_source, &$smarty)
    {
        $fullpath = sprintf('%s/%s', $smarty->template_dir, $tpl_name);

        if (file_exists($fullpath) && is_readable($fullpath)) {
            $tpl_source = $smarty->_read_file($fullpath);
            return true;
        }

        return false;
    }

    function smarty_resource_client_timestamp($tpl_name, &$tpl_timestamp, &$smarty)
    {
        $fullpath = sprintf('%s/%s', $smarty->template_dir, $tpl_name);

        if (file_exists($fullpath) && is_readable($fullpath)) {
            $tpl_timestamp = filemtime($fullpath);
            return true;
        }

        return false;
    }

    function smarty_resource_client_secure($tpl_name, &$smarty)
    {
        return true;
    }

    function smarty_resource_client_trusted($tpl_name, &$smarty)
    {
        // null
    }
?>