<?php
    class DataRenderer_Option_Boolean extends DataRenderer_Option
    {
        /**
         * process
         *
         * Due to the checkboxes not sending any value at all it's
         * not easy to use a default value of true for a boolean option,
         * therefore its advisable to use a select box with yes/no options
         * instead
         */
        public function process(Zend_Controller_Request_Http $request)
        {
            $val = $request->getParam($this->_name);

            if (strlen($val) == 0)
                return;

            $this->set((bool) $val);
        }
    }
?>