<?php
    class DataRenderer_Option_Date extends DataRenderer_Option
    {
        protected $_field;

        public function __construct($name)
        {
            parent::__construct($name);

            $this->_field = Profile_Field::factory('date');
        }

        public function process(Zend_Controller_Request_Http $request)
        {
            $values = array(
                'Year'  => $request->getParam($this->_name . 'Year'),
                'Month' => $request->getParam($this->_name . 'Month'),
                'Day'   => $request->getParam($this->_name . 'Day')
            );

            if ($this->_field->isValid($values))
                $this->_field->set($values);

            $this->set($this->_field->get());
        }
    }
?>