<?php
    class Db_Profiler extends Zend_Db_Profiler_Firebug
    {
        public function queryStart($queryText, $queryType = null)
        {
            if (!$this->_enabled) {
                return null;
            }

            // make sure we have a query type
            if (null === $queryType) {
                switch (strtolower(substr(ltrim($queryText), 0, 6))) {
                    case 'insert':
                        $queryType = self::INSERT;
                        break;
                    case 'update':
                        $queryType = self::UPDATE;
                        break;
                    case 'delete':
                        $queryType = self::DELETE;
                        break;
                    case 'select':
                        $queryType = self::SELECT;
                        break;
                    default:
                        $queryType = self::QUERY;
                        break;
                }
            }

            $this->_queryProfiles[] = new Db_Profiler_Query($queryText, $queryType);

            end($this->_queryProfiles);

            return key($this->_queryProfiles);
        }
    }
?>