<?php
    /**
     * HTML_CSS
     *
     * Used to create a Cascading Stylesheet
     *
     * @author  Quentin Zervaas
     */
    class HTML_CSS
    {
        protected $_elements = array();

        public function __construct()
        {

        }

        public function __toString()
        {
            $ret = '';

            foreach ($this->_elements as $k => $element) {
                if ($k > 0)
                    $ret .= "\n";

                $ret .= (string) $element;
            }

            return $ret;
        }

        public function add()
        {
            $elements = func_get_args();
            if (count($elements) == 0)
                return;

            if (!$elements[0] instanceof HTML_CSS_Element)
                $element = new HTML_CSS_Element($elements);

            $this->_elements[] = $element;

            return $element;
        }
    }
?>