<?php
    class Profile_Field_DriverSelector extends Components_DriverSelector_Options_Abstract
    {
        public function getOptions()
        {
            $ret = array();

            $groupMain  = new Components_DriverSelector_Options_Group('Main Field Types');
            $groupOther = new Components_DriverSelector_Options_Group('Other Field Types');

            foreach (Profile_Field_CustomTypes::GetTypes() as $type) {
                $option = new Components_DriverSelector_Options_Option($type->getType(), (string) $type);

                if ($type->isCore()) {
                    $groupMain->add($option);
                }
                else {
                    $groupOther->add($option);
                }
            }

            $ret[] = $groupMain;
            $ret[] = $groupOther;

            return $ret;
        }
    }
?>
