<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty in_array modifier plugin
 *
 * Type:     modifier<br>
 * Name:     in_array<br>
 * Purpose:  Checks if a value exists in an array
 * @param mixed
 * @param array
 * @return string
 */
function smarty_modifier_in_array($needle, $haystack)
{
    if( is_array( $haystack ) ){
        return in_array( $needle, $haystack );
    }
    return FALSE;
}
