<?php
    // $GLOBALS['RECITE_APP_OLD_VERSION'], e.g. 2.x.x
    // $GLOBALS['RECITE_APP_NEW_VERSION'], e.g. 2.x.y
    // $GLOBALS['RECITE_APP_INSTALL_PATH'], e.g. /path/to/recite
    // $GLOBALS['RECITE_APP_INSTALL_ERROR'], defaults to false, set to true to abort install

    if (array_key_exists('RECITE_APP_OLD_VERSION', $GLOBALS) &&
        array_key_exists('RECITE_APP_NEW_VERSION', $GLOBALS) &&
        preg_match('/^\d+\.\d+\.\d+$/', $GLOBALS['RECITE_APP_OLD_VERSION']) &&
        preg_match('/^\d+\.\d+\.\d+$/', $GLOBALS['RECITE_APP_NEW_VERSION']) &&
        strlen($GLOBALS['RECITE_APP_INSTALL_PATH']) &&
        file_exists($GLOBALS['RECITE_APP_INSTALL_PATH'])) {

        /*
        // sample usage:
        if (version_compare($GLOBALS['RECITE_APP_OLD_VERSION'], '2.1.9') < 0) {
            mkdir($GLOBALS['RECITE_APP_INSTALL_PATH'] . '/testUpgrade');
            file_put_contents(
                $GLOBALS['RECITE_APP_INSTALL_PATH'] . '/testUpgrade/test.txt',
                sprintf('Upgrade from %s to %s', $GLOBALS['RECITE_APP_OLD_VERSION'], $GLOBALS['RECITE_APP_NEW_VERSION'])
            );
        }
        */
    }
?>