<?php
    class Driver_forms_fields_humantest extends Profile_Field
    {
        public function __toString()
        {
            return 'Human Test';
        }
        
        public function set($val)
        {
            $this->_value = $val;

            return strtolower(trim($this->getParam('expected_value'))) == strtolower(trim($this->_value));
        }
        
        public function isValid($val)
        {
            return strtolower(trim($this->getParam('expected_value'))) == strtolower(trim($val));
        }
        
        public function getInputTemplate($name, $attrs = array())
        {
            if (!is_array($attrs)) {
                $attrs = array();
            }

            $attrs['name']  = $name;
            $attrs['type']  = 'text';
            $attrs['value'] = $this->get();

            if (!array_key_exists('class', $attrs)) {
                $attrs['class'] = 'profile-string';
            }

            $attrs['value'] = $this->get();

            return (string) new HTML_Element('input', $attrs);
        }
        
        public function getOptions()
        {
            $list = new Module_Forms_FieldList();
            $list->add(new Module_Forms_FieldList_Field('string'))->setTitle('Expected value');

            return $list;
        }
    }
?>
