<?php
    class Driver_forms_fields_string extends Profile_Field
    {
        public function __toString()
        {
            return 'Text (Sentence)';
        }

        public function isCore()
        {
            return false;
        }

        public function getInputTemplate($name, $attrs = array())
        {
            if (!is_array($attrs)) {
                $attrs = array();
            }

            $attrs['name']  = $name;
            $attrs['type']  = 'text';

            if (!array_key_exists('class', $attrs)) {
                $attrs['class'] = 'profile-string';
            }

            $attrs['value'] = $this->get();

            return (string) new HTML_Element('input', $attrs);
        }
    }
?>